/*
 * Copyright (c) 2020, SmartDeviceLink Consortium, Inc.
 * All rights reserved.
 *
 * Redistribution and use in source and binary forms, with or without
 * modification, are permitted provided that the following conditions are met:
 *
 * Redistributions of source code must retain the above copyright notice, this
 * list of conditions and the following disclaimer.
 *
 * Redistributions in binary form must reproduce the above copyright notice,
 * this list of conditions and the following
 * disclaimer in the documentation and/or other materials provided with the
 * distribution.
 *
 * Neither the name of the SmartDeviceLink Consortium Inc. nor the names of
 * its contributors may be used to endorse or promote products derived
 * from this software without specific prior written permission.
 *
 * THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS "AS IS"
 * AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE
 * IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE
 * ARE DISCLAIMED. IN NO EVENT SHALL THE COPYRIGHT HOLDER OR CONTRIBUTORS BE
 * LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR
 * CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF
 * SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS
 * INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN
 * CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE)
 * ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE
 * POSSIBILITY OF SUCH DAMAGE.
 */
//  SDLRPCParameterNames.h

#import <Foundation/Foundation.h>

NS_ASSUME_NONNULL_BEGIN

typedef NSString* SDLRPCParameterName NS_TYPED_ENUM;

extern SDLRPCParameterName const SDLRPCParameterNameACEnable;
extern SDLRPCParameterName const SDLRPCParameterNameACEnableAvailable;
extern SDLRPCParameterName const SDLRPCParameterNameACMaxEnable;
extern SDLRPCParameterName const SDLRPCParameterNameACMaxEnableAvailable;
extern SDLRPCParameterName const SDLRPCParameterNameAccelerationPedalPosition;
extern SDLRPCParameterName const SDLRPCParameterNameAcceptsWayPoints;
extern SDLRPCParameterName const SDLRPCParameterNameAction;
extern SDLRPCParameterName const SDLRPCParameterNameActual;
extern SDLRPCParameterName const SDLRPCParameterNameActualGear;
extern SDLRPCParameterName const SDLRPCParameterNameAdditionalVideoStreamingCapabilities;
extern SDLRPCParameterName const SDLRPCParameterNameAddress;
extern SDLRPCParameterName const SDLRPCParameterNameAddressLines;
extern SDLRPCParameterName const SDLRPCParameterNameAdministrativeArea;
extern SDLRPCParameterName const SDLRPCParameterNameAirbagStatus;
extern SDLRPCParameterName const SDLRPCParameterNameAlertIcon;
extern SDLRPCParameterName const SDLRPCParameterNameAlerts;
extern SDLRPCParameterName const SDLRPCParameterNameAlertText1;
extern SDLRPCParameterName const SDLRPCParameterNameAlertText2;
extern SDLRPCParameterName const SDLRPCParameterNameAlertText3;
extern SDLRPCParameterName const SDLRPCParameterNameAlignment;
extern SDLRPCParameterName const SDLRPCParameterNameAllocatedModules;
extern SDLRPCParameterName const SDLRPCParameterNameAllowAppConsumers;
extern SDLRPCParameterName const SDLRPCParameterNameAllowed;
extern SDLRPCParameterName const SDLRPCParameterNameAllowMultipleAccess;
extern SDLRPCParameterName const SDLRPCParameterNameAltitude;
extern SDLRPCParameterName const SDLRPCParameterNameAltitudeMeters;
extern SDLRPCParameterName const SDLRPCParameterNameAmbientLightSensorStatus;
extern SDLRPCParameterName const SDLRPCParameterNameAmbientLightStatus;
extern SDLRPCParameterName const SDLRPCParameterNameApparentTemperature;
extern SDLRPCParameterName const SDLRPCParameterNameApparentTemperatureHigh;
extern SDLRPCParameterName const SDLRPCParameterNameApparentTemperatureLow;
extern SDLRPCParameterName const SDLRPCParameterNameApproximatePosition;
extern SDLRPCParameterName const SDLRPCParameterNameAppBundleId;
extern SDLRPCParameterName const SDLRPCParameterNameAppCapability;
extern SDLRPCParameterName const SDLRPCParameterNameAppCapabilityType;
extern SDLRPCParameterName const SDLRPCParameterNameAppDisplayName;
extern SDLRPCParameterName const SDLRPCParameterNameAppHMIType;
extern SDLRPCParameterName const SDLRPCParameterNameAppId;
extern SDLRPCParameterName const SDLRPCParameterNameAppInfo;
extern SDLRPCParameterName const SDLRPCParameterNameAppName;
extern SDLRPCParameterName const SDLRPCParameterNameAppServiceId;
extern SDLRPCParameterName const SDLRPCParameterNameAppServiceManifest;
extern SDLRPCParameterName const SDLRPCParameterNameAppServiceRecord;
extern SDLRPCParameterName const SDLRPCParameterNameAppServices;
extern SDLRPCParameterName const SDLRPCParameterNameAppServicesCapabilities;
extern SDLRPCParameterName const SDLRPCParameterNameAppVersion;
extern SDLRPCParameterName const SDLRPCParameterNameAssociatedServiceType;
extern SDLRPCParameterName const SDLRPCParameterNameAtmosphericPressure;
extern SDLRPCParameterName const SDLRPCParameterNameAutoCompleteList;
extern SDLRPCParameterName const SDLRPCParameterNameAudioControlCapabilities;
extern SDLRPCParameterName const SDLRPCParameterNameAudioControlData;
extern SDLRPCParameterName const SDLRPCParameterNameAudioPassThruCapabilities;
extern SDLRPCParameterName const SDLRPCParameterNameAudioPassThruDisplayText1;
extern SDLRPCParameterName const SDLRPCParameterNameAudioPassThruDisplayText2;
extern SDLRPCParameterName const SDLRPCParameterNameAudioStreamingIndicator;
extern SDLRPCParameterName const SDLRPCParameterNameAudioStreamingState;
extern SDLRPCParameterName const SDLRPCParameterNameAudioType;
extern SDLRPCParameterName const SDLRPCParameterNameAuthToken;
extern SDLRPCParameterName const SDLRPCParameterNameAutoCompleteText;
extern SDLRPCParameterName const SDLRPCParameterNameAutoModeEnable;
extern SDLRPCParameterName const SDLRPCParameterNameAutoModeEnableAvailable;
extern SDLRPCParameterName const SDLRPCParameterNameAuxECallNotificationStatus;
extern SDLRPCParameterName const SDLRPCParameterNameAvailableHDs;
extern SDLRPCParameterName const SDLRPCParameterNameAvailableHDChannels;
extern SDLRPCParameterName const SDLRPCParameterNameAvailableHDsAvailable;
extern SDLRPCParameterName const SDLRPCParameterNameAvailableHDChannelsAvailable;
extern SDLRPCParameterName const SDLRPCParameterNameBackgroundColor;
extern SDLRPCParameterName const SDLRPCParameterNameBackTiltAngle;
extern SDLRPCParameterName const SDLRPCParameterNameBackTiltAngleAvailable;
extern SDLRPCParameterName const SDLRPCParameterNameBackVerticalPosition;
extern SDLRPCParameterName const SDLRPCParameterNameBackVerticalPositionAvailable;
extern SDLRPCParameterName const SDLRPCParameterNameBackSeekIndicator;
extern SDLRPCParameterName const SDLRPCParameterNameBand;
extern SDLRPCParameterName const SDLRPCParameterNameBatteryLevelStatus;
extern SDLRPCParameterName const SDLRPCParameterNameBearing;
extern SDLRPCParameterName const SDLRPCParameterNameBeltStatus;
extern SDLRPCParameterName const SDLRPCParameterNameBitsPerSample;
extern SDLRPCParameterName const SDLRPCParameterNameBodyInformation;
extern SDLRPCParameterName const SDLRPCParameterNameBlue;
extern SDLRPCParameterName const SDLRPCParameterNameBluetoothIconOn;
extern SDLRPCParameterName const SDLRPCParameterNameBulkData;
extern SDLRPCParameterName const SDLRPCParameterNameButtonCapabilities;
extern SDLRPCParameterName const SDLRPCParameterNameButtonEventMode;
extern SDLRPCParameterName const SDLRPCParameterNameButtonName;
extern SDLRPCParameterName const SDLRPCParameterNameButtonPressMode;
extern SDLRPCParameterName const SDLRPCParameterNameCabinTemperature;
extern SDLRPCParameterName const SDLRPCParameterNameCancelID;
extern SDLRPCParameterName const SDLRPCParameterNameCapacity;
extern SDLRPCParameterName const SDLRPCParameterNameCapacityUnit;
extern SDLRPCParameterName const SDLRPCParameterNameColor;
extern SDLRPCParameterName const SDLRPCParameterNameCol;
extern SDLRPCParameterName const SDLRPCParameterNameColSpan;
extern SDLRPCParameterName const SDLRPCParameterNameColumns;
extern SDLRPCParameterName const SDLRPCParameterNameCoolingEnabled;
extern SDLRPCParameterName const SDLRPCParameterNameCoolingEnabledAvailable;
extern SDLRPCParameterName const SDLRPCParameterNameCoolingLevel;
extern SDLRPCParameterName const SDLRPCParameterNameCoolingLevelAvailable;
extern SDLRPCParameterName const SDLRPCParameterNameCoordinate;
extern SDLRPCParameterName const SDLRPCParameterNameCallActive;
extern SDLRPCParameterName const SDLRPCParameterNameCarModeStatus;
extern SDLRPCParameterName const SDLRPCParameterNameCarrier;
extern SDLRPCParameterName const SDLRPCParameterNameChannelId;
extern SDLRPCParameterName const SDLRPCParameterNameChannelName;
extern SDLRPCParameterName const SDLRPCParameterNameChannelSetting;
extern SDLRPCParameterName const SDLRPCParameterNameCharacterSet;
extern SDLRPCParameterName const SDLRPCParameterNameChoiceId;
extern SDLRPCParameterName const SDLRPCParameterNameChoiceSet;
extern SDLRPCParameterName const SDLRPCParameterNameCirculateAirEnable;
extern SDLRPCParameterName const SDLRPCParameterNameCirculateAirEnableAvailable;
extern SDLRPCParameterName const SDLRPCParameterNameClimateControlData;
extern SDLRPCParameterName const SDLRPCParameterNameClimateData;
extern SDLRPCParameterName const SDLRPCParameterNameClimateControlCapabilities;
extern SDLRPCParameterName const SDLRPCParameterNameCloudCover;
extern SDLRPCParameterName const SDLRPCParameterNameClusterModes;
extern SDLRPCParameterName const SDLRPCParameterNameClusterModeStatus;
extern SDLRPCParameterName const SDLRPCParameterNameCommandIcon;
extern SDLRPCParameterName const SDLRPCParameterNameCommandId;
extern SDLRPCParameterName const SDLRPCParameterNameCompassDirection;
extern SDLRPCParameterName const SDLRPCParameterNameConditionActive;
extern SDLRPCParameterName const SDLRPCParameterNameCorrelationId;
extern SDLRPCParameterName const SDLRPCParameterNameCountRate;
extern SDLRPCParameterName const SDLRPCParameterNameCountryCode;
extern SDLRPCParameterName const SDLRPCParameterNameCountryName;
extern SDLRPCParameterName const SDLRPCParameterNameCRC;
extern SDLRPCParameterName const SDLRPCParameterNameClockText;
extern SDLRPCParameterName const SDLRPCParameterNameCloudAppVehicleID;
extern SDLRPCParameterName const SDLRPCParameterNameCloudTransportType;
extern SDLRPCParameterName const SDLRPCParameterNameCurrentForecast;
extern SDLRPCParameterName const SDLRPCParameterNameCurrentForecastSupported;
extern SDLRPCParameterName const SDLRPCParameterNameCurrentTemperature;
extern SDLRPCParameterName const SDLRPCParameterNameCushion;
extern SDLRPCParameterName const SDLRPCParameterNameCustomButtonId;
extern SDLRPCParameterName const SDLRPCParameterNameCustomKeys;
extern SDLRPCParameterName const SDLRPCParameterNameCustomPresets;
extern SDLRPCParameterName const SDLRPCParameterNameOEMCustomDataType;
extern SDLRPCParameterName const SDLRPCParameterNameData;
extern SDLRPCParameterName const SDLRPCParameterNameDataResult;
extern SDLRPCParameterName const SDLRPCParameterNameDataType;
extern SDLRPCParameterName const SDLRPCParameterNameDay;
extern SDLRPCParameterName const SDLRPCParameterNameDayColorScheme;
extern SDLRPCParameterName const SDLRPCParameterNameDefrostZone;
extern SDLRPCParameterName const SDLRPCParameterNameDefrostZoneAvailable;
extern SDLRPCParameterName const SDLRPCParameterNameDeliveryMode;
extern SDLRPCParameterName const SDLRPCParameterNameDensity;
extern SDLRPCParameterName const SDLRPCParameterNameDensityAvailable;
extern SDLRPCParameterName const SDLRPCParameterNameDesiredTemperature;
extern SDLRPCParameterName const SDLRPCParameterNameDesiredTemperatureAvailable;
extern SDLRPCParameterName const SDLRPCParameterNameDestination;
extern SDLRPCParameterName const SDLRPCParameterNameDestinationETA;
extern SDLRPCParameterName const SDLRPCParameterNameDetails;
extern SDLRPCParameterName const SDLRPCParameterNameDeviation;
extern SDLRPCParameterName const SDLRPCParameterNameDeviceInfo;
extern SDLRPCParameterName const SDLRPCParameterNameDeviceStatus;
extern SDLRPCParameterName const SDLRPCParameterNameDiagonalScreenSize;
extern SDLRPCParameterName const SDLRPCParameterNameDialNumberEnabled;
extern SDLRPCParameterName const SDLRPCParameterNameDIDLocation;
extern SDLRPCParameterName const SDLRPCParameterNameDIDResult;
extern SDLRPCParameterName const SDLRPCParameterNameDimension;
extern SDLRPCParameterName const SDLRPCParameterNameDisplays;
extern SDLRPCParameterName const SDLRPCParameterNameDisplayCapabilities;
extern SDLRPCParameterName const SDLRPCParameterNameDisplayMode;
extern SDLRPCParameterName const SDLRPCParameterNameDisplayModeUnitAvailable;
extern SDLRPCParameterName const SDLRPCParameterNameDisplayLayout;
extern SDLRPCParameterName const SDLRPCParameterNameDisplayName;
extern SDLRPCParameterName const SDLRPCParameterNameDisplayType;
extern SDLRPCParameterName const SDLRPCParameterNameDistanceUnit;
extern SDLRPCParameterName const SDLRPCParameterNameDistanceToEmpty;
extern SDLRPCParameterName const SDLRPCParameterNameDistanceToManeuver;
extern SDLRPCParameterName const SDLRPCParameterNameDistanceToManeuverScale;
extern SDLRPCParameterName const SDLRPCParameterNameDistanceUnitAvailable;
extern SDLRPCParameterName const SDLRPCParameterNameDoorStatuses;
extern SDLRPCParameterName const SDLRPCParameterNameDoublePressAvailable;
extern SDLRPCParameterName const SDLRPCParameterNameDriverAirbagDeployed;
extern SDLRPCParameterName const SDLRPCParameterNameDriverBeltDeployed;
extern SDLRPCParameterName const SDLRPCParameterNameDriverBraking;
extern SDLRPCParameterName const SDLRPCParameterNameDriverBuckleBelted;
extern SDLRPCParameterName const SDLRPCParameterNameDriverCurtainAirbagDeployed;
extern SDLRPCParameterName const SDLRPCParameterNameDriverDistraction;
extern SDLRPCParameterName const SDLRPCParameterNameDriverDistractionCapability;
extern SDLRPCParameterName const SDLRPCParameterNameDriverDistractionStatus;
extern SDLRPCParameterName const SDLRPCParameterNameDriverDoorAjar __deprecated;
extern SDLRPCParameterName const SDLRPCParameterNameDriverKneeAirbagDeployed;
extern SDLRPCParameterName const SDLRPCParameterNameDriverSideAirbagDeployed;
extern SDLRPCParameterName const SDLRPCParameterNameDrivingSide;
extern SDLRPCParameterName const SDLRPCParameterNameDTC;
extern SDLRPCParameterName const SDLRPCParameterNameDTCMask;
extern SDLRPCParameterName const SDLRPCParameterNameDualModeEnable;
extern SDLRPCParameterName const SDLRPCParameterNameDualModeEnableAvailable;
extern SDLRPCParameterName const SDLRPCParameterNameDuration;
extern SDLRPCParameterName const SDLRPCParameterNameDuplicateUpdatesFromWindowID;
extern SDLRPCParameterName const SDLRPCParameterNameDynamicUpdateCapabilities;
extern SDLRPCParameterName const SDLRPCParameterNameE911Override;
extern SDLRPCParameterName const SDLRPCParameterNameECallConfirmationStatus;
extern SDLRPCParameterName const SDLRPCParameterNameECallEventActive;
extern SDLRPCParameterName const SDLRPCParameterNameECallInfo;
extern SDLRPCParameterName const SDLRPCParameterNameECallNotificationStatus;
extern SDLRPCParameterName const SDLRPCParameterNameECUHeader;
extern SDLRPCParameterName const SDLRPCParameterNameECUName;
extern SDLRPCParameterName const SDLRPCParameterNameElectronicParkBrakeStatus;
extern SDLRPCParameterName const SDLRPCParameterNameEmergencyEvent;
extern SDLRPCParameterName const SDLRPCParameterNameEmergencyEventType;
extern SDLRPCParameterName const SDLRPCParameterNameEnabled;
extern SDLRPCParameterName const SDLRPCParameterNameEndpoint;
extern SDLRPCParameterName const SDLRPCParameterNameEndTime;
extern SDLRPCParameterName const SDLRPCParameterNameEngineOilLife;
extern SDLRPCParameterName const SDLRPCParameterNameEngineTorque;
extern SDLRPCParameterName const SDLRPCParameterNameEqualizerAvailable;
extern SDLRPCParameterName const SDLRPCParameterNameEqualizerMaxChannelId;
extern SDLRPCParameterName const SDLRPCParameterNameEqualizerSettings;
extern SDLRPCParameterName const SDLRPCParameterNameEscSystem;
extern SDLRPCParameterName const SDLRPCParameterNameETA;
extern SDLRPCParameterName const SDLRPCParameterNameEvent;
extern SDLRPCParameterName const SDLRPCParameterNameExpires;
extern SDLRPCParameterName const SDLRPCParameterNameExternalTemperature;
extern SDLRPCParameterName const SDLRPCParameterNameFanSpeed;
extern SDLRPCParameterName const SDLRPCParameterNameFanSpeedAvailable;
extern SDLRPCParameterName const SDLRPCParameterNameFCCFacilityId;
extern SDLRPCParameterName const SDLRPCParameterNameFileName;
extern SDLRPCParameterName const SDLRPCParameterNameFilenames;
extern SDLRPCParameterName const SDLRPCParameterNameFileType;
extern SDLRPCParameterName const SDLRPCParameterNameFirmness;
extern SDLRPCParameterName const SDLRPCParameterNameFirmwareRevision;
extern SDLRPCParameterName const SDLRPCParameterNameForwardSeekIndicator;
extern SDLRPCParameterName const SDLRPCParameterNameFreeModules;
extern SDLRPCParameterName const SDLRPCParameterNameFrequencyInteger;
extern SDLRPCParameterName const SDLRPCParameterNameFrequencyFraction;
extern SDLRPCParameterName const SDLRPCParameterNameFrontVerticalPosition;
extern SDLRPCParameterName const SDLRPCParameterNameFrontVerticalPositionAvailable;
extern SDLRPCParameterName const SDLRPCParameterNameFuelCutoffStatus;
extern SDLRPCParameterName const SDLRPCParameterNameFuelLevel;
extern SDLRPCParameterName const SDLRPCParameterNameFuelLevelState;
extern SDLRPCParameterName const SDLRPCParameterNameFuelMaintenanceMode;
extern SDLRPCParameterName const SDLRPCParameterNameFuelRange;
extern SDLRPCParameterName const SDLRPCParameterNameFullAppID;
extern SDLRPCParameterName const SDLRPCParameterNameFunctionID;
extern SDLRPCParameterName const SDLRPCParameterNameGateStatuses;
extern SDLRPCParameterName const SDLRPCParameterNameGetWayPointsEnabled;
extern SDLRPCParameterName const SDLRPCParameterNameGPS;
extern SDLRPCParameterName const SDLRPCParameterNameGearStatus;
extern SDLRPCParameterName const SDLRPCParameterNameGraphic;
extern SDLRPCParameterName const SDLRPCParameterNameGraphicSupported;
extern SDLRPCParameterName const SDLRPCParameterNameGreen;
extern SDLRPCParameterName const SDLRPCParameterNameGrid;
extern SDLRPCParameterName const SDLRPCParameterNameHandledRPCs;
extern SDLRPCParameterName const SDLRPCParameterNameHandsOffSteering;
extern SDLRPCParameterName const SDLRPCParameterNameHapticRectData;
extern SDLRPCParameterName const SDLRPCParameterNameHapticSpatialDataSupported;
extern SDLRPCParameterName const SDLRPCParameterNameHardware;
extern SDLRPCParameterName const SDLRPCParameterNameHashId;
extern SDLRPCParameterName const SDLRPCParameterNameHDOP;
extern SDLRPCParameterName const SDLRPCParameterNameHDChannel;
extern SDLRPCParameterName const SDLRPCParameterNameHDChannelAvailable;
extern SDLRPCParameterName const SDLRPCParameterNameHDRadioEnable;
extern SDLRPCParameterName const SDLRPCParameterNameHDRadioEnableAvailable;
extern SDLRPCParameterName const SDLRPCParameterNameHeading;
extern SDLRPCParameterName const SDLRPCParameterNameHeadLampStatus;
extern SDLRPCParameterName const SDLRPCParameterNameHeadSupportHorizontalPosition;
extern SDLRPCParameterName const SDLRPCParameterNameHeadSupportHorizontalPositionAvailable;
extern SDLRPCParameterName const SDLRPCParameterNameHeadSupportVerticalPosition;
extern SDLRPCParameterName const SDLRPCParameterNameHeadSupportVerticalPositionAvailable;
extern SDLRPCParameterName const SDLRPCParameterNameHeatingLevel;
extern SDLRPCParameterName const SDLRPCParameterNameHeatingLevelAvailable;
extern SDLRPCParameterName const SDLRPCParameterNameHeatingEnabled;
extern SDLRPCParameterName const SDLRPCParameterNameHeatingEnabledAvailable;
extern SDLRPCParameterName const SDLRPCParameterNameHeatedSteeringWheelAvailable;
extern SDLRPCParameterName const SDLRPCParameterNameHeatedWindshieldAvailable;
extern SDLRPCParameterName const SDLRPCParameterNameHeatedRearWindowAvailable;
extern SDLRPCParameterName const SDLRPCParameterNameHeatedMirrorsAvailable;
extern SDLRPCParameterName const SDLRPCParameterNameClimateEnable;
extern SDLRPCParameterName const SDLRPCParameterNameClimateEnableAvailable;
extern SDLRPCParameterName const SDLRPCParameterNameHeatedSteeringWheelEnable;
extern SDLRPCParameterName const SDLRPCParameterNameHeatedWindshieldEnable;
extern SDLRPCParameterName const SDLRPCParameterNameHeatedRearWindowEnable;
extern SDLRPCParameterName const SDLRPCParameterNameHeatedMirrorsEnable;
extern SDLRPCParameterName const SDLRPCParameterNameHeight;
extern SDLRPCParameterName const SDLRPCParameterNameHelpPrompt;
extern SDLRPCParameterName const SDLRPCParameterNameHighBeamsOn;
extern SDLRPCParameterName const SDLRPCParameterNameHMICapabilities;
extern SDLRPCParameterName const SDLRPCParameterNameHMIDisplayLanguage;
extern SDLRPCParameterName const SDLRPCParameterNameHMIDisplayLanguageDesired;
extern SDLRPCParameterName const SDLRPCParameterNameHMILevel;
extern SDLRPCParameterName const SDLRPCParameterNameHMIPermissions;
extern SDLRPCParameterName const SDLRPCParameterNameHmiSettingsControlCapabilities;
extern SDLRPCParameterName const SDLRPCParameterNameHmiSettingsControlData;
extern SDLRPCParameterName const SDLRPCParameterNameHMIZoneCapabilities;
extern SDLRPCParameterName const SDLRPCParameterNameHorizontalPosition;
extern SDLRPCParameterName const SDLRPCParameterNameHorizontalPositionAvailable;
extern SDLRPCParameterName const SDLRPCParameterNameHour;
extern SDLRPCParameterName const SDLRPCParameterNameHourlyForecast;
extern SDLRPCParameterName const SDLRPCParameterNameHours;
extern SDLRPCParameterName const SDLRPCParameterNameHumidity;
extern SDLRPCParameterName const SDLRPCParameterNameHybridAppPreference;
extern SDLRPCParameterName const SDLRPCParameterNameIconResumed;
extern SDLRPCParameterName const SDLRPCParameterNameId;
extern SDLRPCParameterName const SDLRPCParameterNameIgnitionStableStatus;
extern SDLRPCParameterName const SDLRPCParameterNameIgnitionStatus;
extern SDLRPCParameterName const SDLRPCParameterNameImage;
extern SDLRPCParameterName const SDLRPCParameterNameImageFields;
extern SDLRPCParameterName const SDLRPCParameterNameImageResolution;
extern SDLRPCParameterName const SDLRPCParameterNameImageSupported;
extern SDLRPCParameterName const SDLRPCParameterNameImageTemplate;
extern SDLRPCParameterName const SDLRPCParameterNameImageType;
extern SDLRPCParameterName const SDLRPCParameterNameImageTypeSupported;
extern SDLRPCParameterName const SDLRPCParameterNameInfo;
extern SDLRPCParameterName const SDLRPCParameterNameInitialPrompt;
extern SDLRPCParameterName const SDLRPCParameterNameInitialText;
extern SDLRPCParameterName const SDLRPCParameterNameInnerLeftRear;
extern SDLRPCParameterName const SDLRPCParameterNameInnerRightRear;
extern SDLRPCParameterName const SDLRPCParameterNameInstantFuelConsumption;
extern SDLRPCParameterName const SDLRPCParameterNameInstructions;
extern SDLRPCParameterName const SDLRPCParameterNameInteractionChoiceSetId;
extern SDLRPCParameterName const SDLRPCParameterNameInteractionChoiceSetIdList;
extern SDLRPCParameterName const SDLRPCParameterNameInteractionLayout;
extern SDLRPCParameterName const SDLRPCParameterNameInteractionMode;
extern SDLRPCParameterName const SDLRPCParameterNameIsExplicit;
extern SDLRPCParameterName const SDLRPCParameterNameIsHighlighted;
extern SDLRPCParameterName const SDLRPCParameterNameIsMediaApplication;
extern SDLRPCParameterName const SDLRPCParameterNameIsSubscribed;
extern SDLRPCParameterName const SDLRPCParameterNameJunctionType;
extern SDLRPCParameterName const SDLRPCParameterNameKeepContext;
extern SDLRPCParameterName const SDLRPCParameterNameKeepContextAvailable;
extern SDLRPCParameterName const SDLRPCParameterNameKeyboardCapabilities;
extern SDLRPCParameterName const SDLRPCParameterNameKeyboardLayout;
extern SDLRPCParameterName const SDLRPCParameterNameKeyboardProperties;
extern SDLRPCParameterName const SDLRPCParameterNameKeypressMode;
extern SDLRPCParameterName const SDLRPCParameterNameLabel;
extern SDLRPCParameterName const SDLRPCParameterNameLanguage;
extern SDLRPCParameterName const SDLRPCParameterNameLanguageDesired;
extern SDLRPCParameterName const SDLRPCParameterNameLatitudeDegrees;
extern SDLRPCParameterName const SDLRPCParameterNameLeftFront;
extern SDLRPCParameterName const SDLRPCParameterNameLeftRear;
extern SDLRPCParameterName const SDLRPCParameterNameLeftRearInflatableBelted;
extern SDLRPCParameterName const SDLRPCParameterNameLeftRow2BuckleBelted;
extern SDLRPCParameterName const SDLRPCParameterNameLeftRow3BuckleBelted;
extern SDLRPCParameterName const SDLRPCParameterNameLength;
extern SDLRPCParameterName const SDLRPCParameterNameLevel;
extern SDLRPCParameterName const SDLRPCParameterNameLevels;
extern SDLRPCParameterName const SDLRPCParameterNameLevelSpan;
extern SDLRPCParameterName const SDLRPCParameterNameLevelState;
extern SDLRPCParameterName const SDLRPCParameterNameLightControlCapabilities;
extern SDLRPCParameterName const SDLRPCParameterNameLightControlData;
extern SDLRPCParameterName const SDLRPCParameterNameLightState;
extern SDLRPCParameterName const SDLRPCParameterNameLimitedCharacterList;
extern SDLRPCParameterName const SDLRPCParameterNameLocality;
extern SDLRPCParameterName const SDLRPCParameterNameLocation;
extern SDLRPCParameterName const SDLRPCParameterNameLocationCoordinate;
extern SDLRPCParameterName const SDLRPCParameterNameLocationDescription;
extern SDLRPCParameterName const SDLRPCParameterNameLocationDetails;
extern SDLRPCParameterName const SDLRPCParameterNameLocationImage;
extern SDLRPCParameterName const SDLRPCParameterNameLocationName;
extern SDLRPCParameterName const SDLRPCParameterNameLockScreenDismissalEnabled;
extern SDLRPCParameterName const SDLRPCParameterNameLockScreenDismissalWarning;
extern SDLRPCParameterName const SDLRPCParameterNameLongitudeDegrees;
extern SDLRPCParameterName const SDLRPCParameterNameLongPress;
extern SDLRPCParameterName const SDLRPCParameterNameLongPressAvailable;
extern SDLRPCParameterName const SDLRPCParameterNameLowBeamsOn;
extern SDLRPCParameterName const SDLRPCParameterNameMainField1;
extern SDLRPCParameterName const SDLRPCParameterNameMainField2;
extern SDLRPCParameterName const SDLRPCParameterNameMainField3;
extern SDLRPCParameterName const SDLRPCParameterNameMainField4;
extern SDLRPCParameterName const SDLRPCParameterNameMainField1Type;
extern SDLRPCParameterName const SDLRPCParameterNameMainField2Type;
extern SDLRPCParameterName const SDLRPCParameterNameMainField3Type;
extern SDLRPCParameterName const SDLRPCParameterNameMainField4Type;
extern SDLRPCParameterName const SDLRPCParameterNameMajorVersion;
extern SDLRPCParameterName const SDLRPCParameterNameMake;
extern SDLRPCParameterName const SDLRPCParameterNameManeuverComplete;
extern SDLRPCParameterName const SDLRPCParameterNameManualTextEntry;
extern SDLRPCParameterName const SDLRPCParameterNameMaskInputCharacters;
extern SDLRPCParameterName const SDLRPCParameterNameMaskInputCharactersSupported;
extern SDLRPCParameterName const SDLRPCParameterNameMassageCushionFirmness;
extern SDLRPCParameterName const SDLRPCParameterNameMassageCushionFirmnessAvailable;
extern SDLRPCParameterName const SDLRPCParameterNameMassageEnabled;
extern SDLRPCParameterName const SDLRPCParameterNameMassageEnabledAvailable;
extern SDLRPCParameterName const SDLRPCParameterNameMassageMode;
extern SDLRPCParameterName const SDLRPCParameterNameMassageModeAvailable;
extern SDLRPCParameterName const SDLRPCParameterNameMassageZone;
extern SDLRPCParameterName const SDLRPCParameterNameMaxBitrate;
extern SDLRPCParameterName const SDLRPCParameterNameMaxDuration;
extern SDLRPCParameterName const SDLRPCParameterNameMaxHourlyForecastAmount;
extern SDLRPCParameterName const SDLRPCParameterNameMaximumChangeVelocity;
extern SDLRPCParameterName const SDLRPCParameterNameMaximumNumberOfWindows;
extern SDLRPCParameterName const SDLRPCParameterNameMaxMinutelyForecastAmount;
extern SDLRPCParameterName const SDLRPCParameterNameMaxMultidayForecastAmount;
extern SDLRPCParameterName const SDLRPCParameterNameMaxNumberRFCOMMPorts;
extern SDLRPCParameterName const SDLRPCParameterNameMediaAlbum;
extern SDLRPCParameterName const SDLRPCParameterNameMediaArtist;
extern SDLRPCParameterName const SDLRPCParameterNameMediaClock;
extern SDLRPCParameterName const SDLRPCParameterNameMediaClockFormats;
extern SDLRPCParameterName const SDLRPCParameterNameMediaServiceData;
extern SDLRPCParameterName const SDLRPCParameterNameMediaServiceManifest;
extern SDLRPCParameterName const SDLRPCParameterNameMediaTitle;
extern SDLRPCParameterName const SDLRPCParameterNameMediaTrack;
extern SDLRPCParameterName const SDLRPCParameterNameMediaImage;
extern SDLRPCParameterName const SDLRPCParameterNameMediaType;
extern SDLRPCParameterName const SDLRPCParameterNameMemory;
extern SDLRPCParameterName const SDLRPCParameterNameMemoryAvailable;
extern SDLRPCParameterName const SDLRPCParameterNameMenuIcon;
extern SDLRPCParameterName const SDLRPCParameterNameMenuID;
extern SDLRPCParameterName const SDLRPCParameterNameMenuLayout;
extern SDLRPCParameterName const SDLRPCParameterNameMenuLayoutsAvailable;
extern SDLRPCParameterName const SDLRPCParameterNameMenuLength;
extern SDLRPCParameterName const SDLRPCParameterNameMenuName;
extern SDLRPCParameterName const SDLRPCParameterNameMenuParams;
extern SDLRPCParameterName const SDLRPCParameterNameMenuTitle;
extern SDLRPCParameterName const SDLRPCParameterNameMessageData;
extern SDLRPCParameterName const SDLRPCParameterNameMessageDataResult;
extern SDLRPCParameterName const SDLRPCParameterNameMessageLength;
extern SDLRPCParameterName const SDLRPCParameterNameMetadataTags;
extern SDLRPCParameterName const SDLRPCParameterNameMiddleRow1BeltDeployed;
extern SDLRPCParameterName const SDLRPCParameterNameMiddleRow1BuckleBelted;
extern SDLRPCParameterName const SDLRPCParameterNameMiddleRow2BuckleBelted;
extern SDLRPCParameterName const SDLRPCParameterNameMiddleRow3BuckleBelted;
extern SDLRPCParameterName const SDLRPCParameterNameMillisecond;
extern SDLRPCParameterName const SDLRPCParameterNameMinorVersion;
extern SDLRPCParameterName const SDLRPCParameterNameMinute;
extern SDLRPCParameterName const SDLRPCParameterNameMinuteForecast;
extern SDLRPCParameterName const SDLRPCParameterNameMinutes;
extern SDLRPCParameterName const SDLRPCParameterNameModel;
extern SDLRPCParameterName const SDLRPCParameterNameModuleData;
extern SDLRPCParameterName const SDLRPCParameterNameModuleId;
extern SDLRPCParameterName const SDLRPCParameterNameModuleIds;
extern SDLRPCParameterName const SDLRPCParameterNameModuleInfo;
extern SDLRPCParameterName const SDLRPCParameterNameModuleName;
extern SDLRPCParameterName const SDLRPCParameterNameModuleType;
extern SDLRPCParameterName const SDLRPCParameterNameModelYear;
extern SDLRPCParameterName const SDLRPCParameterNameMonoAudioOutputMuted;
extern SDLRPCParameterName const SDLRPCParameterNameMonth;
extern SDLRPCParameterName const SDLRPCParameterNameMoonPhase;
extern SDLRPCParameterName const SDLRPCParameterNameMultidayForecast;
extern SDLRPCParameterName const SDLRPCParameterNameMultipleEvents;
extern SDLRPCParameterName const SDLRPCParameterNameMultiTouchAvailable;
extern SDLRPCParameterName const SDLRPCParameterNameMuteAudio;
extern SDLRPCParameterName const SDLRPCParameterNameMyKey;
extern SDLRPCParameterName const SDLRPCParameterNameName;
extern SDLRPCParameterName const SDLRPCParameterNameNavigation;
extern SDLRPCParameterName const SDLRPCParameterNameNavigationCapability;
extern SDLRPCParameterName const SDLRPCParameterNameNavigationServiceData;
extern SDLRPCParameterName const SDLRPCParameterNameNavigationServiceManifest;
extern SDLRPCParameterName const SDLRPCParameterNameNavigationText;
extern SDLRPCParameterName const SDLRPCParameterNameNavigationText1;
extern SDLRPCParameterName const SDLRPCParameterNameNavigationText2;
extern SDLRPCParameterName const SDLRPCParameterNameNearestStormBearing;
extern SDLRPCParameterName const SDLRPCParameterNameNearestStormDistance;
extern SDLRPCParameterName const SDLRPCParameterNameNextInstructionDistance;
extern SDLRPCParameterName const SDLRPCParameterNameNextInstructionDistanceScale;
extern SDLRPCParameterName const SDLRPCParameterNameNextInstructionETA;
extern SDLRPCParameterName const SDLRPCParameterNameNextTurnIcon;
extern SDLRPCParameterName const SDLRPCParameterNameNGNMediaScreenAppName;
extern SDLRPCParameterName const SDLRPCParameterNameNicknames;
extern SDLRPCParameterName const SDLRPCParameterNameNightColorScheme;
extern SDLRPCParameterName const SDLRPCParameterNameNotification;
extern SDLRPCParameterName const SDLRPCParameterNameNumber;
extern SDLRPCParameterName const SDLRPCParameterNameNumberCustomPresetsAvailable;
extern SDLRPCParameterName const SDLRPCParameterNameNumberTicks;
extern SDLRPCParameterName const SDLRPCParameterNameNumConfigurableKeys;
extern SDLRPCParameterName const SDLRPCParameterNameOdometer;
extern SDLRPCParameterName const SDLRPCParameterNameOffset;
extern SDLRPCParameterName const SDLRPCParameterNameOnLockScreenStatus;
extern SDLRPCParameterName const SDLRPCParameterNameOnScreenPresetsAvailable;
extern SDLRPCParameterName const SDLRPCParameterNameOperationName;
extern SDLRPCParameterName const SDLRPCParameterNameOrigin;
extern SDLRPCParameterName const SDLRPCParameterNameOriginApp;
extern SDLRPCParameterName const SDLRPCParameterNameOS;
extern SDLRPCParameterName const SDLRPCParameterNameOSVersion;
extern SDLRPCParameterName const SDLRPCParameterNameParameterPermissions;
extern SDLRPCParameterName const SDLRPCParameterNameParameters;
extern SDLRPCParameterName const SDLRPCParameterNameParentID;
extern SDLRPCParameterName const SDLRPCParameterNameParkBrakeActive;
extern SDLRPCParameterName const SDLRPCParameterNamePassengerAirbagDeployed;
extern SDLRPCParameterName const SDLRPCParameterNamePassengerBeltDeployed;
extern SDLRPCParameterName const SDLRPCParameterNamePassengerBuckleBelted;
extern SDLRPCParameterName const SDLRPCParameterNamePassengerChildDetected;
extern SDLRPCParameterName const SDLRPCParameterNamePassengerCurtainAirbagDeployed;
extern SDLRPCParameterName const SDLRPCParameterNamePassengerDoorAjar __deprecated;
extern SDLRPCParameterName const SDLRPCParameterNamePassengerKneeAirbagDeployed;
extern SDLRPCParameterName const SDLRPCParameterNamePassengerSideAirbagDeployed;
extern SDLRPCParameterName const SDLRPCParameterNamePatchVersion;
extern SDLRPCParameterName const SDLRPCParameterNamePCMStreamCapabilities;
extern SDLRPCParameterName const SDLRPCParameterNamePDOP;
extern SDLRPCParameterName const SDLRPCParameterNamePermissionItem;
extern SDLRPCParameterName const SDLRPCParameterNamePersistentFile;
extern SDLRPCParameterName const SDLRPCParameterNamePhoneCall;
extern SDLRPCParameterName const SDLRPCParameterNamePhoneCapability;
extern SDLRPCParameterName const SDLRPCParameterNamePhoneNumber;
extern SDLRPCParameterName const SDLRPCParameterNamePhoneRoaming;
extern SDLRPCParameterName const SDLRPCParameterNamePixelPerInch;
extern SDLRPCParameterName const SDLRPCParameterNamePlaylistName;
extern SDLRPCParameterName const SDLRPCParameterNamePlayTone;
extern SDLRPCParameterName const SDLRPCParameterNamePosition;
extern SDLRPCParameterName const SDLRPCParameterNamePostalCode;
extern SDLRPCParameterName const SDLRPCParameterNamePowerModeActive;
extern SDLRPCParameterName const SDLRPCParameterNamePowerModeQualificationStatus;
extern SDLRPCParameterName const SDLRPCParameterNamePowerModeStatus;
extern SDLRPCParameterName const SDLRPCParameterNamePrecipAccumulation;
extern SDLRPCParameterName const SDLRPCParameterNamePrecipIntensity;
extern SDLRPCParameterName const SDLRPCParameterNamePrecipProbability;
extern SDLRPCParameterName const SDLRPCParameterNamePrecipType;
extern SDLRPCParameterName const SDLRPCParameterNamePreferredFPS;
extern SDLRPCParameterName const SDLRPCParameterNamePreferredResolution;
extern SDLRPCParameterName const SDLRPCParameterNamePrerecordedSpeech;
extern SDLRPCParameterName const SDLRPCParameterNamePresetBankCapabilities;
extern SDLRPCParameterName const SDLRPCParameterNamePressAvailable;
extern SDLRPCParameterName const SDLRPCParameterNamePressure;
extern SDLRPCParameterName const SDLRPCParameterNamePressureTelltale;
extern SDLRPCParameterName const SDLRPCParameterNamePrimaryAudioSource;
extern SDLRPCParameterName const SDLRPCParameterNamePrimaryColor;
extern SDLRPCParameterName const SDLRPCParameterNamePRNDL;
extern SDLRPCParameterName const SDLRPCParameterNameProgramIdentification;
extern SDLRPCParameterName const SDLRPCParameterNameProgressIndicator;
extern SDLRPCParameterName const SDLRPCParameterNameProperties;
extern SDLRPCParameterName const SDLRPCParameterNameProgramService;
extern SDLRPCParameterName const SDLRPCParameterNameProgramType;
extern SDLRPCParameterName const SDLRPCParameterNamePrompt;
extern SDLRPCParameterName const SDLRPCParameterNameQueueCurrentTrackNumber;
extern SDLRPCParameterName const SDLRPCParameterNameQueuePlaybackDuration;
extern SDLRPCParameterName const SDLRPCParameterNameQueuePlaybackProgress;
extern SDLRPCParameterName const SDLRPCParameterNameQueueTotalTrackCount;
extern SDLRPCParameterName const SDLRPCParameterNameRadioBandAvailable;
extern SDLRPCParameterName const SDLRPCParameterNameRadioControlCapabilities;
extern SDLRPCParameterName const SDLRPCParameterNameRadioControlData;
extern SDLRPCParameterName const SDLRPCParameterNameRadioEnable;
extern SDLRPCParameterName const SDLRPCParameterNameRadioEnableAvailable;
extern SDLRPCParameterName const SDLRPCParameterNameRadioFrequencyAvailable;
extern SDLRPCParameterName const SDLRPCParameterNameRange;
extern SDLRPCParameterName const SDLRPCParameterNameRDSData;
extern SDLRPCParameterName const SDLRPCParameterNameRDSDataAvailable;
extern SDLRPCParameterName const SDLRPCParameterNameRearLeftDoorAjar __deprecated;
extern SDLRPCParameterName const SDLRPCParameterNameRearRightDoorAjar __deprecated;
extern SDLRPCParameterName const SDLRPCParameterNameReason;
extern SDLRPCParameterName const SDLRPCParameterNameRect;
extern SDLRPCParameterName const SDLRPCParameterNameRed;
extern SDLRPCParameterName const SDLRPCParameterNameRegion;
extern SDLRPCParameterName const SDLRPCParameterNameRegions;
extern SDLRPCParameterName const SDLRPCParameterNameRemoteControl;
extern SDLRPCParameterName const SDLRPCParameterNameRemoteControlCapability;
extern SDLRPCParameterName const SDLRPCParameterNameRequest;
extern SDLRPCParameterName const SDLRPCParameterNameRequestServiceActive;
extern SDLRPCParameterName const SDLRPCParameterNameRequestSubType;
extern SDLRPCParameterName const SDLRPCParameterNameRequestType;
extern SDLRPCParameterName const SDLRPCParameterNameRequireEncryption;
extern SDLRPCParameterName const SDLRPCParameterNameReserved;
extern SDLRPCParameterName const SDLRPCParameterNameResolution;
extern SDLRPCParameterName const SDLRPCParameterNameResolutionHeight;
extern SDLRPCParameterName const SDLRPCParameterNameResolutionWidth;
extern SDLRPCParameterName const SDLRPCParameterNameResponse;
extern SDLRPCParameterName const SDLRPCParameterNameResult;
extern SDLRPCParameterName const SDLRPCParameterNameResultCode;
extern SDLRPCParameterName const SDLRPCParameterNameRightFront;
extern SDLRPCParameterName const SDLRPCParameterNameRightRear;
extern SDLRPCParameterName const SDLRPCParameterNameRightRearInflatableBelted;
extern SDLRPCParameterName const SDLRPCParameterNameRightRow2BuckleBelted;
extern SDLRPCParameterName const SDLRPCParameterNameRightRow3BuckleBelted;
extern SDLRPCParameterName const SDLRPCParameterNameRolloverEvent;
extern SDLRPCParameterName const SDLRPCParameterNameRoofStatuses;
extern SDLRPCParameterName const SDLRPCParameterNameRow;
extern SDLRPCParameterName const SDLRPCParameterNameRows;
extern SDLRPCParameterName const SDLRPCParameterNameRowSpan;
extern SDLRPCParameterName const SDLRPCParameterNameRPCName;
extern SDLRPCParameterName const SDLRPCParameterNameRPCSpecVersion;
extern SDLRPCParameterName const SDLRPCParameterNameRPM;
extern SDLRPCParameterName const SDLRPCParameterNameRadioText;
extern SDLRPCParameterName const SDLRPCParameterNameSamplingRate;
extern SDLRPCParameterName const SDLRPCParameterNameSatellites;
extern SDLRPCParameterName const SDLRPCParameterNameScale;
extern SDLRPCParameterName const SDLRPCParameterNameScreenParams;
extern SDLRPCParameterName const SDLRPCParameterNameScrollableMessageBody;
extern SDLRPCParameterName const SDLRPCParameterNameSDLVersion;
extern SDLRPCParameterName const SDLRPCParameterNameSearchAddress;
extern SDLRPCParameterName const SDLRPCParameterNameSeatControlData;
extern SDLRPCParameterName const SDLRPCParameterNameSeatControlCapabilities;
extern SDLRPCParameterName const SDLRPCParameterNameSeatLocation;
extern SDLRPCParameterName const SDLRPCParameterNameSeatLocationCapability;
extern SDLRPCParameterName const SDLRPCParameterNameSeatOccupancy;
extern SDLRPCParameterName const SDLRPCParameterNameSeats;
extern SDLRPCParameterName const SDLRPCParameterNameSeatsBelted;
extern SDLRPCParameterName const SDLRPCParameterNameSeatsOccupied;
extern SDLRPCParameterName const SDLRPCParameterNameSecondaryColor;
extern SDLRPCParameterName const SDLRPCParameterNameSecondaryGraphic;
extern SDLRPCParameterName const SDLRPCParameterNameSecondaryImage;
extern SDLRPCParameterName const SDLRPCParameterNameSecondaryText;
extern SDLRPCParameterName const SDLRPCParameterNameSecond;
extern SDLRPCParameterName const SDLRPCParameterNameSeconds;
extern SDLRPCParameterName const SDLRPCParameterNameSeekTime;
extern SDLRPCParameterName const SDLRPCParameterNameSendLocationEnabled;
extern SDLRPCParameterName const SDLRPCParameterNameServiceActive;
extern SDLRPCParameterName const SDLRPCParameterNameServiceArea;
extern SDLRPCParameterName const SDLRPCParameterNameServiceData;
extern SDLRPCParameterName const SDLRPCParameterNameServiceIcon;
extern SDLRPCParameterName const SDLRPCParameterNameServiceID;
extern SDLRPCParameterName const SDLRPCParameterNameServiceManifest;
extern SDLRPCParameterName const SDLRPCParameterNameServiceName;
extern SDLRPCParameterName const SDLRPCParameterNameServicePublished;
extern SDLRPCParameterName const SDLRPCParameterNameServiceSpecificResult;
extern SDLRPCParameterName const SDLRPCParameterNameServiceType;
extern SDLRPCParameterName const SDLRPCParameterNameServiceUri;
extern SDLRPCParameterName const SDLRPCParameterNameSeverity;
extern SDLRPCParameterName const SDLRPCParameterNameShifted;
extern SDLRPCParameterName const SDLRPCParameterNameShortPress;
extern SDLRPCParameterName const SDLRPCParameterNameShortPressAvailable;
extern SDLRPCParameterName const SDLRPCParameterNameSignalLevelStatus;
extern SDLRPCParameterName const SDLRPCParameterNameSignalChangeThreshold;
extern SDLRPCParameterName const SDLRPCParameterNameSignalChangeThresholdAvailable;
extern SDLRPCParameterName const SDLRPCParameterNameSignalStrength;
extern SDLRPCParameterName const SDLRPCParameterNameSignalStrengthAvailable;
extern SDLRPCParameterName const SDLRPCParameterNameSiriusXMRadioAvailable;
extern SDLRPCParameterName const SDLRPCParameterNameSISData;
extern SDLRPCParameterName const SDLRPCParameterNameSISDataAvailable;
extern SDLRPCParameterName const SDLRPCParameterNameSliderFooter;
extern SDLRPCParameterName const SDLRPCParameterNameSliderHeader;
extern SDLRPCParameterName const SDLRPCParameterNameSliderPosition;
extern SDLRPCParameterName const SDLRPCParameterNameSoftButtonCapabilities;
extern SDLRPCParameterName const SDLRPCParameterNameSoftButtonId;
extern SDLRPCParameterName const SDLRPCParameterNameSoftButtons;
extern SDLRPCParameterName const SDLRPCParameterNameSource;
extern SDLRPCParameterName const SDLRPCParameterNameSourceAvailable;
extern SDLRPCParameterName const SDLRPCParameterNameSpaceAvailable;
extern SDLRPCParameterName const SDLRPCParameterNameSpeechCapabilities;
extern SDLRPCParameterName const SDLRPCParameterNameSpeed;
extern SDLRPCParameterName const SDLRPCParameterNameRGBColorSpaceAvailable;
extern SDLRPCParameterName const SDLRPCParameterNameStabilityControlsStatus;
extern SDLRPCParameterName const SDLRPCParameterNameStartTime;
extern SDLRPCParameterName const SDLRPCParameterNameState;
extern SDLRPCParameterName const SDLRPCParameterNameStateAvailable;
extern SDLRPCParameterName const SDLRPCParameterNameStateOfCharge;
extern SDLRPCParameterName const SDLRPCParameterNameStationIDNumber;
extern SDLRPCParameterName const SDLRPCParameterNameStationLongName;
extern SDLRPCParameterName const SDLRPCParameterNameStationLocation;
extern SDLRPCParameterName const SDLRPCParameterNameStationMessage;
extern SDLRPCParameterName const SDLRPCParameterNameStationShortName;
extern SDLRPCParameterName const SDLRPCParameterNameStatus;
extern SDLRPCParameterName const SDLRPCParameterNameStatusAvailable;
extern SDLRPCParameterName const SDLRPCParameterNameStatusBar;
extern SDLRPCParameterName const SDLRPCParameterNameSteeringWheelAngle;
extern SDLRPCParameterName const SDLRPCParameterNameStereoAudioOutputMuted;
extern SDLRPCParameterName const SDLRPCParameterNameSubAdministrativeArea;
extern SDLRPCParameterName const SDLRPCParameterNameSubLocality;
extern SDLRPCParameterName const SDLRPCParameterNameSubMenuDepth;
extern SDLRPCParameterName const SDLRPCParameterNameSubscribe;
extern SDLRPCParameterName const SDLRPCParameterNameSubThoroughfare;
extern SDLRPCParameterName const SDLRPCParameterNameSuccess;
extern SDLRPCParameterName const SDLRPCParameterNameSummary;
extern SDLRPCParameterName const SDLRPCParameterNameSupportedDiagnosticModes;
extern SDLRPCParameterName const SDLRPCParameterNameSupportedDynamicImageFieldNames;
extern SDLRPCParameterName const SDLRPCParameterNameSupportsDynamicSubMenus;
extern SDLRPCParameterName const SDLRPCParameterNameSupportedFormats;
extern SDLRPCParameterName const SDLRPCParameterNameSupportedKeyboards;
extern SDLRPCParameterName const SDLRPCParameterNameSupportedLights;
extern SDLRPCParameterName const SDLRPCParameterNameSyncFileName;
extern SDLRPCParameterName const SDLRPCParameterNameSyncMessageVersion;
extern SDLRPCParameterName const SDLRPCParameterNameSystemAction;
extern SDLRPCParameterName const SDLRPCParameterNameSystemCapability;
extern SDLRPCParameterName const SDLRPCParameterNameSystemCapabilityType;
extern SDLRPCParameterName const SDLRPCParameterNameSystemContext;
extern SDLRPCParameterName const SDLRPCParameterNameSystemFile;
extern SDLRPCParameterName const SDLRPCParameterNameSystemSoftwareVersion;
extern SDLRPCParameterName const SDLRPCParameterNameTrackPlaybackDuration;
extern SDLRPCParameterName const SDLRPCParameterNameTrackPlaybackProgress;
extern SDLRPCParameterName const SDLRPCParameterNameTrafficAnnouncementIdentification;
extern SDLRPCParameterName const SDLRPCParameterNameTargetId;
extern SDLRPCParameterName const SDLRPCParameterNameTemperatureHigh;
extern SDLRPCParameterName const SDLRPCParameterNameTemperatureLow;
extern SDLRPCParameterName const SDLRPCParameterNameTemperatureUnit;
extern SDLRPCParameterName const SDLRPCParameterNameTemperatureUnitAvailable;
extern SDLRPCParameterName const SDLRPCParameterNameTemplate;
extern SDLRPCParameterName const SDLRPCParameterNameTemplateConfiguration;
extern SDLRPCParameterName const SDLRPCParameterNameTemplatesAvailable;
extern SDLRPCParameterName const SDLRPCParameterNameTemplateTitle;
extern SDLRPCParameterName const SDLRPCParameterNameTertiaryText;
extern SDLRPCParameterName const SDLRPCParameterNameText;
extern SDLRPCParameterName const SDLRPCParameterNameTextFields;
extern SDLRPCParameterName const SDLRPCParameterNameTextMessageAvailable;
extern SDLRPCParameterName const SDLRPCParameterNameTextSupported;
extern SDLRPCParameterName const SDLRPCParameterNameThoroughfare;
extern SDLRPCParameterName const SDLRPCParameterNameTime;
extern SDLRPCParameterName const SDLRPCParameterNameTimeIssued;
extern SDLRPCParameterName const SDLRPCParameterNameTimeout;
extern SDLRPCParameterName const SDLRPCParameterNameTimeoutCapitalized;
extern SDLRPCParameterName const SDLRPCParameterNameTimeoutPrompt;
extern SDLRPCParameterName const SDLRPCParameterNameTS;
extern SDLRPCParameterName const SDLRPCParameterNameTimeStamp;
extern SDLRPCParameterName const SDLRPCParameterNameTimeToDestination;
extern SDLRPCParameterName const SDLRPCParameterNameTimezoneHourOffset;
extern SDLRPCParameterName const SDLRPCParameterNameTimezoneMinuteOffset;
extern SDLRPCParameterName const SDLRPCParameterNameTirePressure;
extern SDLRPCParameterName const SDLRPCParameterNameTitle;
extern SDLRPCParameterName const SDLRPCParameterNameTotalDistance;
extern SDLRPCParameterName const SDLRPCParameterNameTouchEventAvailable;
extern SDLRPCParameterName const SDLRPCParameterNameTPMS;
extern SDLRPCParameterName const SDLRPCParameterNameTrafficProgramIdentification;
extern SDLRPCParameterName const SDLRPCParameterNameTrailerSwayControl;
extern SDLRPCParameterName const SDLRPCParameterNameTransmissionType;
extern SDLRPCParameterName const SDLRPCParameterNameTriggerSource;
extern SDLRPCParameterName const SDLRPCParameterNameTrim;
extern SDLRPCParameterName const SDLRPCParameterNameTryAgainTime;
extern SDLRPCParameterName const SDLRPCParameterNameTTSChunks;
extern SDLRPCParameterName const SDLRPCParameterNameTTSName;
extern SDLRPCParameterName const SDLRPCParameterNameTurnIcon;
extern SDLRPCParameterName const SDLRPCParameterNameTurnList;
extern SDLRPCParameterName const SDLRPCParameterNameTurnSignal;
extern SDLRPCParameterName const SDLRPCParameterNameType;
extern SDLRPCParameterName const SDLRPCParameterNameUnit;
extern SDLRPCParameterName const SDLRPCParameterNameUnsubscribe;
extern SDLRPCParameterName const SDLRPCParameterNameUpdatedAppServiceRecord;
extern SDLRPCParameterName const SDLRPCParameterNameUpdateMode;
extern SDLRPCParameterName const SDLRPCParameterNameUpdateReason;
extern SDLRPCParameterName const SDLRPCParameterNameUpdateSubCells;
extern SDLRPCParameterName const SDLRPCParameterNameUpDownAvailable;
extern SDLRPCParameterName const SDLRPCParameterNameURL;
extern SDLRPCParameterName const SDLRPCParameterNameURLUppercase;
extern SDLRPCParameterName const SDLRPCParameterNameUserDisallowed;
extern SDLRPCParameterName const SDLRPCParameterNameUserLocation;
extern SDLRPCParameterName const SDLRPCParameterNameUserSelected;
extern SDLRPCParameterName const SDLRPCParameterNameUserSelectedGear;
extern SDLRPCParameterName const SDLRPCParameterNameUTCDay;
extern SDLRPCParameterName const SDLRPCParameterNameUTCHours;
extern SDLRPCParameterName const SDLRPCParameterNameUTCMinutes;
extern SDLRPCParameterName const SDLRPCParameterNameUTCMonth;
extern SDLRPCParameterName const SDLRPCParameterNameUTCSeconds;
extern SDLRPCParameterName const SDLRPCParameterNameUTCYear;
extern SDLRPCParameterName const SDLRPCParameterNameValue;
extern SDLRPCParameterName const SDLRPCParameterNameVDOP;
extern SDLRPCParameterName const SDLRPCParameterNameVehicleType;
extern SDLRPCParameterName const SDLRPCParameterNameVerticalPosition;
extern SDLRPCParameterName const SDLRPCParameterNameVerticalPositionAvailable;
extern SDLRPCParameterName const SDLRPCParameterNameVideoCodec;
extern SDLRPCParameterName const SDLRPCParameterNameVideoProtocol;
extern SDLRPCParameterName const SDLRPCParameterNameVideoStreaming;
extern SDLRPCParameterName const SDLRPCParameterNameVideoStreamingCapability;
extern SDLRPCParameterName const SDLRPCParameterNameVideoStreamingState;
extern SDLRPCParameterName const SDLRPCParameterNameVisibility;
extern SDLRPCParameterName const SDLRPCParameterNameVentilationMode;
extern SDLRPCParameterName const SDLRPCParameterNameVentilationModeAvailable;
extern SDLRPCParameterName const SDLRPCParameterNameVIN;
extern SDLRPCParameterName const SDLRPCParameterNameVoiceRecognitionOn;
extern SDLRPCParameterName const SDLRPCParameterNameVolume;
extern SDLRPCParameterName const SDLRPCParameterNameVolumeAvailable;
extern SDLRPCParameterName const SDLRPCParameterNameVRCapabilities;
extern SDLRPCParameterName const SDLRPCParameterNameVRCommands;
extern SDLRPCParameterName const SDLRPCParameterNameVRHelp;
extern SDLRPCParameterName const SDLRPCParameterNameVRHelpTitle;
extern SDLRPCParameterName const SDLRPCParameterNameVRSynonyms;
extern SDLRPCParameterName const SDLRPCParameterNameWayPoints;
extern SDLRPCParameterName const SDLRPCParameterNameWayPointType;
extern SDLRPCParameterName const SDLRPCParameterNameWeatherForLocationSupported;
extern SDLRPCParameterName const SDLRPCParameterNameWeatherIcon;
extern SDLRPCParameterName const SDLRPCParameterNameWeatherServiceData;
extern SDLRPCParameterName const SDLRPCParameterNameWeatherServiceManifest;
extern SDLRPCParameterName const SDLRPCParameterNameWeatherSummary;
extern SDLRPCParameterName const SDLRPCParameterNameWidth;
extern SDLRPCParameterName const SDLRPCParameterNameWindBearing;
extern SDLRPCParameterName const SDLRPCParameterNameWindGust;
extern SDLRPCParameterName const SDLRPCParameterNameWindSpeed;
extern SDLRPCParameterName const SDLRPCParameterNameWiperStatus;
extern SDLRPCParameterName const SDLRPCParameterNameWindowCapabilities;
extern SDLRPCParameterName const SDLRPCParameterNameWindowId;
extern SDLRPCParameterName const SDLRPCParameterNameWindowName;
extern SDLRPCParameterName const SDLRPCParameterNameWindowStatus;
extern SDLRPCParameterName const SDLRPCParameterNameWindowTypeSupported;
extern SDLRPCParameterName const SDLRPCParameterNameX;
extern SDLRPCParameterName const SDLRPCParameterNameY;
extern SDLRPCParameterName const SDLRPCParameterNameYear;

NS_ASSUME_NONNULL_END
