/*
 * Copyright (c) 2020, SmartDeviceLink Consortium, Inc.
 * All rights reserved.
 *
 * Redistribution and use in source and binary forms, with or without
 * modification, are permitted provided that the following conditions are met:
 *
 * Redistributions of source code must retain the above copyright notice, this
 * list of conditions and the following disclaimer.
 *
 * Redistributions in binary form must reproduce the above copyright notice,
 * this list of conditions and the following
 * disclaimer in the documentation and/or other materials provided with the
 * distribution.
 *
 * Neither the name of the SmartDeviceLink Consortium Inc. nor the names of
 * its contributors may be used to endorse or promote products derived
 * from this software without specific prior written permission.
 *
 * THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS "AS IS"
 * AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE
 * IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE
 * ARE DISCLAIMED. IN NO EVENT SHALL THE COPYRIGHT HOLDER OR CONTRIBUTORS BE
 * LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR
 * CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF
 * SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS
 * INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN
 * CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE)
 * ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE
 * POSSIBILITY OF SUCH DAMAGE.
 */
//  SDLRPCParameterNames.h

#import "NSMutableDictionary+Store.h"
#import "SDLRPCParameterNames.h"

NS_ASSUME_NONNULL_BEGIN

SDLRPCParameterName const SDLRPCParameterNameACEnable = @"acEnable";
SDLRPCParameterName const SDLRPCParameterNameACEnableAvailable = @"acEnableAvailable";
SDLRPCParameterName const SDLRPCParameterNameACMaxEnable = @"acMaxEnable";
SDLRPCParameterName const SDLRPCParameterNameACMaxEnableAvailable = @"acMaxEnableAvailable";
SDLRPCParameterName const SDLRPCParameterNameAccelerationPedalPosition = @"accPedalPosition";
SDLRPCParameterName const SDLRPCParameterNameAcceptsWayPoints = @"acceptsWayPoints";
SDLRPCParameterName const SDLRPCParameterNameAction = @"action";
SDLRPCParameterName const SDLRPCParameterNameActual = @"actual";
SDLRPCParameterName const SDLRPCParameterNameActualGear = @"actualGear";
SDLRPCParameterName const SDLRPCParameterNameAdditionalVideoStreamingCapabilities = @"additionalVideoStreamingCapabilities";
SDLRPCParameterName const SDLRPCParameterNameAddress = @"address";
SDLRPCParameterName const SDLRPCParameterNameAddressLines = @"addressLines";
SDLRPCParameterName const SDLRPCParameterNameAdministrativeArea = @"administrativeArea";
SDLRPCParameterName const SDLRPCParameterNameAirbagStatus = @"airbagStatus";
SDLRPCParameterName const SDLRPCParameterNameAlertIcon = @"alertIcon";
SDLRPCParameterName const SDLRPCParameterNameAlerts = @"alerts";
SDLRPCParameterName const SDLRPCParameterNameAlertText1 = @"alertText1";
SDLRPCParameterName const SDLRPCParameterNameAlertText2 = @"alertText2";
SDLRPCParameterName const SDLRPCParameterNameAlertText3 = @"alertText3";
SDLRPCParameterName const SDLRPCParameterNameAlignment = @"alignment";
SDLRPCParameterName const SDLRPCParameterNameAllowAppConsumers = @"allowAppConsumers";
SDLRPCParameterName const SDLRPCParameterNameAllowed = @"allowed";
SDLRPCParameterName const SDLRPCParameterNameAllowMultipleAccess = @"allowMultipleAccess";
SDLRPCParameterName const SDLRPCParameterNameAllocatedModules = @"allocatedModules";
SDLRPCParameterName const SDLRPCParameterNameAltitude = @"altitude";
SDLRPCParameterName const SDLRPCParameterNameAltitudeMeters = @"altitudeMeters";
SDLRPCParameterName const SDLRPCParameterNameAmbientLightSensorStatus = @"ambientLightSensorStatus";
SDLRPCParameterName const SDLRPCParameterNameAmbientLightStatus = @"ambientLightStatus";
SDLRPCParameterName const SDLRPCParameterNameApparentTemperature = @"apparentTemperature";
SDLRPCParameterName const SDLRPCParameterNameApparentTemperatureHigh = @"apparentTemperatureHigh";
SDLRPCParameterName const SDLRPCParameterNameApparentTemperatureLow = @"apparentTemperatureLow";
SDLRPCParameterName const SDLRPCParameterNameApproximatePosition = @"approximatePosition";
SDLRPCParameterName const SDLRPCParameterNameAppBundleId = @"appBundleID";
SDLRPCParameterName const SDLRPCParameterNameAppCapability = @"appCapability";
SDLRPCParameterName const SDLRPCParameterNameAppCapabilityType = @"appCapabilityType";
SDLRPCParameterName const SDLRPCParameterNameAppHMIType = @"appHMIType";
SDLRPCParameterName const SDLRPCParameterNameAppId = @"appID";
SDLRPCParameterName const SDLRPCParameterNameAppInfo = @"appInfo";
SDLRPCParameterName const SDLRPCParameterNameAppName = @"appName";
SDLRPCParameterName const SDLRPCParameterNameAppServiceId = @"appServiceId";
SDLRPCParameterName const SDLRPCParameterNameAppServiceManifest = @"appServiceManifest";
SDLRPCParameterName const SDLRPCParameterNameAppServiceRecord = @"appServiceRecord";
SDLRPCParameterName const SDLRPCParameterNameAppServices = @"appServices";
SDLRPCParameterName const SDLRPCParameterNameAppServicesCapabilities = @"appServicesCapabilities";
SDLRPCParameterName const SDLRPCParameterNameAppDisplayName = @"appDisplayName";
SDLRPCParameterName const SDLRPCParameterNameAppVersion = @"appVersion";
SDLRPCParameterName const SDLRPCParameterNameAudioControlCapabilities = @"audioControlCapabilities";
SDLRPCParameterName const SDLRPCParameterNameAudioControlData = @"audioControlData";
SDLRPCParameterName const SDLRPCParameterNameAssociatedServiceType = @"associatedServiceType";
SDLRPCParameterName const SDLRPCParameterNameAtmosphericPressure = @"atmosphericPressure";
SDLRPCParameterName const SDLRPCParameterNameAudioPassThruCapabilities = @"audioPassThruCapabilities";
SDLRPCParameterName const SDLRPCParameterNameAudioPassThruDisplayText1 = @"audioPassThruDisplayText1";
SDLRPCParameterName const SDLRPCParameterNameAudioPassThruDisplayText2 = @"audioPassThruDisplayText2";
SDLRPCParameterName const SDLRPCParameterNameAudioStreamingIndicator = @"audioStreamingIndicator";
SDLRPCParameterName const SDLRPCParameterNameAudioStreamingState = @"audioStreamingState";
SDLRPCParameterName const SDLRPCParameterNameAudioType = @"audioType";
SDLRPCParameterName const SDLRPCParameterNameAuthToken = @"authToken";
SDLRPCParameterName const SDLRPCParameterNameAutoCompleteList = @"autoCompleteList";
SDLRPCParameterName const SDLRPCParameterNameAutoCompleteText = @"autoCompleteText";
SDLRPCParameterName const SDLRPCParameterNameAutoModeEnable = @"autoModeEnable";
SDLRPCParameterName const SDLRPCParameterNameAutoModeEnableAvailable = @"autoModeEnableAvailable";
SDLRPCParameterName const SDLRPCParameterNameAuxECallNotificationStatus = @"auxECallNotificationStatus";
SDLRPCParameterName const SDLRPCParameterNameAvailableHDs = @"availableHDs";
SDLRPCParameterName const SDLRPCParameterNameAvailableHDChannels = @"availableHDChannels";
SDLRPCParameterName const SDLRPCParameterNameAvailableHDsAvailable = @"availableHDsAvailable";
SDLRPCParameterName const SDLRPCParameterNameAvailableHDChannelsAvailable = @"availableHDChannelsAvailable";
SDLRPCParameterName const SDLRPCParameterNameBackgroundColor = @"backgroundColor";
SDLRPCParameterName const SDLRPCParameterNameBackTiltAngle = @"backTiltAngle";
SDLRPCParameterName const SDLRPCParameterNameBackTiltAngleAvailable = @"backTiltAngleAvailable";
SDLRPCParameterName const SDLRPCParameterNameBackVerticalPosition = @"backVerticalPosition";
SDLRPCParameterName const SDLRPCParameterNameBackVerticalPositionAvailable = @"backVerticalPositionAvailable";
SDLRPCParameterName const SDLRPCParameterNameBackSeekIndicator = @"backSeekIndicator";
SDLRPCParameterName const SDLRPCParameterNameBand = @"band";
SDLRPCParameterName const SDLRPCParameterNameBatteryLevelStatus = @"battLevelStatus";
SDLRPCParameterName const SDLRPCParameterNameBearing = @"bearing";
SDLRPCParameterName const SDLRPCParameterNameBeltStatus = @"beltStatus";
SDLRPCParameterName const SDLRPCParameterNameBitsPerSample = @"bitsPerSample";
SDLRPCParameterName const SDLRPCParameterNameBodyInformation = @"bodyInformation";
SDLRPCParameterName const SDLRPCParameterNameBlue = @"blue";
SDLRPCParameterName const SDLRPCParameterNameBluetoothIconOn = @"btIconOn";
SDLRPCParameterName const SDLRPCParameterNameBulkData = @"bulkData";
SDLRPCParameterName const SDLRPCParameterNameButtonCapabilities = @"buttonCapabilities";
SDLRPCParameterName const SDLRPCParameterNameButtonEventMode = @"buttonEventMode";
SDLRPCParameterName const SDLRPCParameterNameButtonName = @"buttonName";
SDLRPCParameterName const SDLRPCParameterNameButtonPressMode = @"buttonPressMode";
SDLRPCParameterName const SDLRPCParameterNameCabinTemperature = @"cabinTemperature";
SDLRPCParameterName const SDLRPCParameterNameCancelID = @"cancelID";
SDLRPCParameterName const SDLRPCParameterNameCapacity = @"capacity";
SDLRPCParameterName const SDLRPCParameterNameCapacityUnit = @"capacityUnit";
SDLRPCParameterName const SDLRPCParameterNameCoolingEnabled = @"coolingEnabled";
SDLRPCParameterName const SDLRPCParameterNameCoolingEnabledAvailable = @"coolingEnabledAvailable";
SDLRPCParameterName const SDLRPCParameterNameCoolingLevel = @"coolingLevel";
SDLRPCParameterName const SDLRPCParameterNameCoolingLevelAvailable = @"coolingLevelAvailable";
SDLRPCParameterName const SDLRPCParameterNameCoordinate = @"c";
SDLRPCParameterName const SDLRPCParameterNameCallActive = @"callActive";
SDLRPCParameterName const SDLRPCParameterNameCarModeStatus = @"carModeStatus";
SDLRPCParameterName const SDLRPCParameterNameCarrier = @"carrier";
SDLRPCParameterName const SDLRPCParameterNameChannelId = @"channelId";
SDLRPCParameterName const SDLRPCParameterNameChannelName = @"channelName";
SDLRPCParameterName const SDLRPCParameterNameChannelSetting = @"channelSetting";
SDLRPCParameterName const SDLRPCParameterNameCharacterSet = @"characterSet";
SDLRPCParameterName const SDLRPCParameterNameChoiceId = @"choiceID";
SDLRPCParameterName const SDLRPCParameterNameChoiceSet = @"choiceSet";
SDLRPCParameterName const SDLRPCParameterNameCirculateAirEnable = @"circulateAirEnable";
SDLRPCParameterName const SDLRPCParameterNameCirculateAirEnableAvailable = @"circulateAirEnableAvailable";
SDLRPCParameterName const SDLRPCParameterNameClimateControlData = @"climateControlData";
SDLRPCParameterName const SDLRPCParameterNameClimateData = @"climateData";
SDLRPCParameterName const SDLRPCParameterNameClimateControlCapabilities = @"climateControlCapabilities";
SDLRPCParameterName const SDLRPCParameterNameCloudCover = @"cloudCover";
SDLRPCParameterName const SDLRPCParameterNameClusterModes = @"clusterModes";
SDLRPCParameterName const SDLRPCParameterNameClusterModeStatus = @"clusterModeStatus";
SDLRPCParameterName const SDLRPCParameterNameColor = @"color";
SDLRPCParameterName const SDLRPCParameterNameCol = @"col";
SDLRPCParameterName const SDLRPCParameterNameColSpan = @"colspan";
SDLRPCParameterName const SDLRPCParameterNameColumns = @"columns";
SDLRPCParameterName const SDLRPCParameterNameCommandIcon = @"cmdIcon";
SDLRPCParameterName const SDLRPCParameterNameCommandId = @"cmdID";
SDLRPCParameterName const SDLRPCParameterNameCompassDirection = @"compassDirection";
SDLRPCParameterName const SDLRPCParameterNameConditionActive = @"conditionActive";
SDLRPCParameterName const SDLRPCParameterNameCorrelationId = @"correlationID";
SDLRPCParameterName const SDLRPCParameterNameCountRate = @"countRate";
SDLRPCParameterName const SDLRPCParameterNameCountryCode = @"countryCode";
SDLRPCParameterName const SDLRPCParameterNameCountryName = @"countryName";
SDLRPCParameterName const SDLRPCParameterNameCRC = @"crc";
SDLRPCParameterName const SDLRPCParameterNameClockText = @"CT";
SDLRPCParameterName const SDLRPCParameterNameCloudAppVehicleID = @"cloudAppVehicleID";
SDLRPCParameterName const SDLRPCParameterNameCloudTransportType = @"cloudTransportType";
SDLRPCParameterName const SDLRPCParameterNameCurrentForecast = @"currentForecast";
SDLRPCParameterName const SDLRPCParameterNameCurrentForecastSupported = @"currentForecastSupported";
SDLRPCParameterName const SDLRPCParameterNameCurrentTemperature = @"currentTemperature";
SDLRPCParameterName const SDLRPCParameterNameCushion = @"cushion";
SDLRPCParameterName const SDLRPCParameterNameCustomButtonId = @"customButtonID";
SDLRPCParameterName const SDLRPCParameterNameCustomKeys = @"customKeys";
SDLRPCParameterName const SDLRPCParameterNameCustomPresets = @"customPresets";
SDLRPCParameterName const SDLRPCParameterNameData = @"data";
SDLRPCParameterName const SDLRPCParameterNameDataResult = @"dataResult";
SDLRPCParameterName const SDLRPCParameterNameDataType = @"dataType";
SDLRPCParameterName const SDLRPCParameterNameDay = @"day";
SDLRPCParameterName const SDLRPCParameterNameDayColorScheme = @"dayColorScheme";
SDLRPCParameterName const SDLRPCParameterNameDefrostZone = @"defrostZone";
SDLRPCParameterName const SDLRPCParameterNameDefrostZoneAvailable = @"defrostZoneAvailable";
SDLRPCParameterName const SDLRPCParameterNameDeliveryMode = @"deliveryMode";
SDLRPCParameterName const SDLRPCParameterNameDensity = @"density";
SDLRPCParameterName const SDLRPCParameterNameDensityAvailable = @"densityAvailable";
SDLRPCParameterName const SDLRPCParameterNameDesiredTemperature = @"desiredTemperature";
SDLRPCParameterName const SDLRPCParameterNameDesiredTemperatureAvailable = @"desiredTemperatureAvailable";
SDLRPCParameterName const SDLRPCParameterNameDestination = @"destination";
SDLRPCParameterName const SDLRPCParameterNameDestinationETA = @"destinationETA";
SDLRPCParameterName const SDLRPCParameterNameDeviceInfo = @"deviceInfo";
SDLRPCParameterName const SDLRPCParameterNameDeviceStatus = @"deviceStatus";
SDLRPCParameterName const SDLRPCParameterNameDetails = @"details";
SDLRPCParameterName const SDLRPCParameterNameDeviation = @"deviation";
SDLRPCParameterName const SDLRPCParameterNameDiagonalScreenSize = @"diagonalScreenSize";
SDLRPCParameterName const SDLRPCParameterNameDialNumberEnabled = @"dialNumberEnabled";
SDLRPCParameterName const SDLRPCParameterNameDIDLocation = @"didLocation";
SDLRPCParameterName const SDLRPCParameterNameDIDResult = @"didResult";
SDLRPCParameterName const SDLRPCParameterNameDimension = @"dimension";
SDLRPCParameterName const SDLRPCParameterNameDisplays = @"displays";
SDLRPCParameterName const SDLRPCParameterNameDisplayCapabilities = @"displayCapabilities";
SDLRPCParameterName const SDLRPCParameterNameDisplayLayout = @"displayLayout";
SDLRPCParameterName const SDLRPCParameterNameDisplayMode = @"displayMode";
SDLRPCParameterName const SDLRPCParameterNameDisplayModeUnitAvailable = @"displayModeUnitAvailable";
SDLRPCParameterName const SDLRPCParameterNameDisplayName = @"displayName";
SDLRPCParameterName const SDLRPCParameterNameDisplayType = @"displayType";
SDLRPCParameterName const SDLRPCParameterNameDistanceToEmpty = @"distanceToEmpty";
SDLRPCParameterName const SDLRPCParameterNameDistanceToManeuver = @"distanceToManeuver";
SDLRPCParameterName const SDLRPCParameterNameDistanceToManeuverScale = @"distanceToManeuverScale";
SDLRPCParameterName const SDLRPCParameterNameDistanceUnitAvailable = @"distanceUnitAvailable";
SDLRPCParameterName const SDLRPCParameterNameDistanceUnit = @"distanceUnit";
SDLRPCParameterName const SDLRPCParameterNameDoorStatuses = @"doorStatuses";
SDLRPCParameterName const SDLRPCParameterNameDoublePressAvailable = @"doublePressAvailable";
SDLRPCParameterName const SDLRPCParameterNameDriverAirbagDeployed = @"driverAirbagDeployed";
SDLRPCParameterName const SDLRPCParameterNameDriverBeltDeployed = @"driverBeltDeployed";
SDLRPCParameterName const SDLRPCParameterNameDriverBraking = @"driverBraking";
SDLRPCParameterName const SDLRPCParameterNameDriverBuckleBelted = @"driverBuckleBelted";
SDLRPCParameterName const SDLRPCParameterNameDriverCurtainAirbagDeployed = @"driverCurtainAirbagDeployed";
SDLRPCParameterName const SDLRPCParameterNameDriverDistraction = @"driverDistraction";
SDLRPCParameterName const SDLRPCParameterNameDriverDistractionCapability = @"driverDistractionCapability";
SDLRPCParameterName const SDLRPCParameterNameDriverDistractionStatus = @"driverDistractionStatus";
SDLRPCParameterName const SDLRPCParameterNameDriverDoorAjar = @"driverDoorAjar";
SDLRPCParameterName const SDLRPCParameterNameDriverKneeAirbagDeployed = @"driverKneeAirbagDeployed";
SDLRPCParameterName const SDLRPCParameterNameDriverSideAirbagDeployed = @"driverSideAirbagDeployed";
SDLRPCParameterName const SDLRPCParameterNameDrivingSide = @"drivingSide";
SDLRPCParameterName const SDLRPCParameterNameDTC = @"dtc";
SDLRPCParameterName const SDLRPCParameterNameDTCMask = @"dtcMask";
SDLRPCParameterName const SDLRPCParameterNameDualModeEnable = @"dualModeEnable";
SDLRPCParameterName const SDLRPCParameterNameDualModeEnableAvailable = @"dualModeEnableAvailable";
SDLRPCParameterName const SDLRPCParameterNameDuration = @"duration";
SDLRPCParameterName const SDLRPCParameterNameDuplicateUpdatesFromWindowID = @"duplicateUpdatesFromWindowID";
SDLRPCParameterName const SDLRPCParameterNameDynamicUpdateCapabilities = @"dynamicUpdateCapabilities";
SDLRPCParameterName const SDLRPCParameterNameE911Override = @"e911Override";
SDLRPCParameterName const SDLRPCParameterNameECallConfirmationStatus = @"eCallConfirmationStatus";
SDLRPCParameterName const SDLRPCParameterNameECallEventActive = @"eCallEventActive";
SDLRPCParameterName const SDLRPCParameterNameECallInfo = @"eCallInfo";
SDLRPCParameterName const SDLRPCParameterNameECallNotificationStatus = @"eCallNotificationStatus";
SDLRPCParameterName const SDLRPCParameterNameECUHeader = @"ecuHeader";
SDLRPCParameterName const SDLRPCParameterNameECUName = @"ecuName";
SDLRPCParameterName const SDLRPCParameterNameElectronicParkBrakeStatus = @"electronicParkBrakeStatus";
SDLRPCParameterName const SDLRPCParameterNameEmergencyEvent = @"emergencyEvent";
SDLRPCParameterName const SDLRPCParameterNameEmergencyEventType = @"emergencyEventType";
SDLRPCParameterName const SDLRPCParameterNameEnabled = @"enabled";
SDLRPCParameterName const SDLRPCParameterNameEndpoint = @"endpoint";
SDLRPCParameterName const SDLRPCParameterNameEndTime = @"endTime";
SDLRPCParameterName const SDLRPCParameterNameEngineOilLife = @"engineOilLife";
SDLRPCParameterName const SDLRPCParameterNameEngineTorque = @"engineTorque";
SDLRPCParameterName const SDLRPCParameterNameEqualizerAvailable = @"equalizerAvailable";
SDLRPCParameterName const SDLRPCParameterNameEqualizerMaxChannelId = @"equalizerMaxChannelId";
SDLRPCParameterName const SDLRPCParameterNameEqualizerSettings = @"equalizerSettings";
SDLRPCParameterName const SDLRPCParameterNameEscSystem = @"escSystem";
SDLRPCParameterName const SDLRPCParameterNameETA = @"eta";
SDLRPCParameterName const SDLRPCParameterNameEvent = @"event";
SDLRPCParameterName const SDLRPCParameterNameExpires = @"expires";
SDLRPCParameterName const SDLRPCParameterNameExternalTemperature = @"externalTemperature";
SDLRPCParameterName const SDLRPCParameterNameFanSpeed = @"fanSpeed";
SDLRPCParameterName const SDLRPCParameterNameFanSpeedAvailable = @"fanSpeedAvailable";
SDLRPCParameterName const SDLRPCParameterNameFCCFacilityId = @"fccFacilityId";
SDLRPCParameterName const SDLRPCParameterNameFileName = @"fileName";
SDLRPCParameterName const SDLRPCParameterNameFilenames = @"filenames";
SDLRPCParameterName const SDLRPCParameterNameFileType = @"fileType";
SDLRPCParameterName const SDLRPCParameterNameFirmness = @"firmness";
SDLRPCParameterName const SDLRPCParameterNameFirmwareRevision = @"firmwareRev";
SDLRPCParameterName const SDLRPCParameterNameForwardSeekIndicator = @"forwardSeekIndicator";
SDLRPCParameterName const SDLRPCParameterNameFreeModules = @"freeModules";
SDLRPCParameterName const SDLRPCParameterNameFrequencyInteger = @"frequencyInteger";
SDLRPCParameterName const SDLRPCParameterNameFrequencyFraction = @"frequencyFraction";
SDLRPCParameterName const SDLRPCParameterNameFrontVerticalPosition = @"frontVerticalPosition";
SDLRPCParameterName const SDLRPCParameterNameFrontVerticalPositionAvailable = @"frontVerticalPositionAvailable";
SDLRPCParameterName const SDLRPCParameterNameFuelCutoffStatus = @"fuelCutoffStatus";
SDLRPCParameterName const SDLRPCParameterNameFuelLevel = @"fuelLevel";
SDLRPCParameterName const SDLRPCParameterNameFuelLevelState = @"fuelLevel_State";
SDLRPCParameterName const SDLRPCParameterNameFuelMaintenanceMode = @"fuelMaintenanceMode";
SDLRPCParameterName const SDLRPCParameterNameFuelRange = @"fuelRange";
SDLRPCParameterName const SDLRPCParameterNameFunctionID = @"functionID";
SDLRPCParameterName const SDLRPCParameterNameFullAppID = @"fullAppID";
SDLRPCParameterName const SDLRPCParameterNameGateStatuses = @"gateStatuses";
SDLRPCParameterName const SDLRPCParameterNameGearStatus = @"gearStatus";
SDLRPCParameterName const SDLRPCParameterNameGetWayPointsEnabled = @"getWayPointsEnabled";
SDLRPCParameterName const SDLRPCParameterNameGPS = @"gps";
SDLRPCParameterName const SDLRPCParameterNameGraphic = @"graphic";
SDLRPCParameterName const SDLRPCParameterNameGraphicSupported = @"graphicSupported";
SDLRPCParameterName const SDLRPCParameterNameGreen = @"green";
SDLRPCParameterName const SDLRPCParameterNameGrid = @"grid";
SDLRPCParameterName const SDLRPCParameterNameHandledRPCs = @"handledRPCs";
SDLRPCParameterName const SDLRPCParameterNameHandsOffSteering = @"handsOffSteering";
SDLRPCParameterName const SDLRPCParameterNameHapticRectData = @"hapticRectData";
SDLRPCParameterName const SDLRPCParameterNameHapticSpatialDataSupported = @"hapticSpatialDataSupported";
SDLRPCParameterName const SDLRPCParameterNameHardware = @"hardware";
SDLRPCParameterName const SDLRPCParameterNameHashId = @"hashID";
SDLRPCParameterName const SDLRPCParameterNameHDChannel = @"hdChannel";
SDLRPCParameterName const SDLRPCParameterNameHDChannelAvailable = @"hdChannelAvailable";
SDLRPCParameterName const SDLRPCParameterNameHDOP = @"hdop";
SDLRPCParameterName const SDLRPCParameterNameHDRadioEnable = @"hdRadioEnable";
SDLRPCParameterName const SDLRPCParameterNameHDRadioEnableAvailable = @"hdRadioEnableAvailable";
SDLRPCParameterName const SDLRPCParameterNameHeading = @"heading";
SDLRPCParameterName const SDLRPCParameterNameHeadLampStatus = @"headLampStatus";
SDLRPCParameterName const SDLRPCParameterNameHeadSupportHorizontalPosition = @"headSupportHorizontalPosition";
SDLRPCParameterName const SDLRPCParameterNameHeadSupportHorizontalPositionAvailable = @"headSupportHorizontalPositionAvailable";
SDLRPCParameterName const SDLRPCParameterNameHeadSupportVerticalPosition = @"headSupportVerticalPosition";
SDLRPCParameterName const SDLRPCParameterNameHeadSupportVerticalPositionAvailable = @"headSupportVerticalPositionAvailable";
SDLRPCParameterName const SDLRPCParameterNameHeatingLevel = @"heatingLevel";
SDLRPCParameterName const SDLRPCParameterNameHeatingLevelAvailable = @"heatingLevelAvailable";
SDLRPCParameterName const SDLRPCParameterNameHeatingEnabled = @"heatingEnabled";
SDLRPCParameterName const SDLRPCParameterNameHeatingEnabledAvailable = @"heatingEnabledAvailable";
SDLRPCParameterName const SDLRPCParameterNameHeatedSteeringWheelAvailable = @"heatedSteeringWheelAvailable";
SDLRPCParameterName const SDLRPCParameterNameHeatedWindshieldAvailable = @"heatedWindshieldAvailable";
SDLRPCParameterName const SDLRPCParameterNameHeatedRearWindowAvailable = @"heatedRearWindowAvailable";
SDLRPCParameterName const SDLRPCParameterNameHeatedMirrorsAvailable = @"heatedMirrorsAvailable";
SDLRPCParameterName const SDLRPCParameterNameClimateEnable = @"climateEnable";
SDLRPCParameterName const SDLRPCParameterNameClimateEnableAvailable = @"climateEnableAvailable";
SDLRPCParameterName const SDLRPCParameterNameHeatedSteeringWheelEnable = @"heatedSteeringWheelEnable";
SDLRPCParameterName const SDLRPCParameterNameHeatedWindshieldEnable = @"heatedWindshieldEnable";
SDLRPCParameterName const SDLRPCParameterNameHeatedRearWindowEnable = @"heatedRearWindowEnable";
SDLRPCParameterName const SDLRPCParameterNameHeatedMirrorsEnable = @"heatedMirrorsEnable";
SDLRPCParameterName const SDLRPCParameterNameHeight = @"height";
SDLRPCParameterName const SDLRPCParameterNameHelpPrompt = @"helpPrompt";
SDLRPCParameterName const SDLRPCParameterNameHighBeamsOn = @"highBeamsOn";
SDLRPCParameterName const SDLRPCParameterNameHMICapabilities = @"hmiCapabilities";
SDLRPCParameterName const SDLRPCParameterNameHmiSettingsControlData = @"hmiSettingsControlData";
SDLRPCParameterName const SDLRPCParameterNameHMIDisplayLanguage = @"hmiDisplayLanguage";
SDLRPCParameterName const SDLRPCParameterNameHMIDisplayLanguageDesired = @"hmiDisplayLanguageDesired";
SDLRPCParameterName const SDLRPCParameterNameHMILevel = @"hmiLevel";
SDLRPCParameterName const SDLRPCParameterNameHMILevelLowercase = @"hmilevel";
SDLRPCParameterName const SDLRPCParameterNameHMIPermissions = @"hmiPermissions";
SDLRPCParameterName const SDLRPCParameterNameHmiSettingsControlCapabilities = @"hmiSettingsControlCapabilities";
SDLRPCParameterName const SDLRPCParameterNameHMIZoneCapabilities = @"hmiZoneCapabilities";
SDLRPCParameterName const SDLRPCParameterNameHorizontalPosition = @"horizontalPosition";
SDLRPCParameterName const SDLRPCParameterNameHorizontalPositionAvailable = @"horizontalPositionAvailable";
SDLRPCParameterName const SDLRPCParameterNameHour = @"hour";
SDLRPCParameterName const SDLRPCParameterNameHourlyForecast = @"hourlyForecast";
SDLRPCParameterName const SDLRPCParameterNameHours = @"hours";
SDLRPCParameterName const SDLRPCParameterNameHumidity = @"humidity";
SDLRPCParameterName const SDLRPCParameterNameHybridAppPreference = @"hybridAppPreference";
SDLRPCParameterName const SDLRPCParameterNameIconResumed = @"iconResumed";
SDLRPCParameterName const SDLRPCParameterNameId = @"id";
SDLRPCParameterName const SDLRPCParameterNameIgnitionStableStatus = @"ignitionStableStatus";
SDLRPCParameterName const SDLRPCParameterNameIgnitionStatus = @"ignitionStatus";
SDLRPCParameterName const SDLRPCParameterNameImage = @"image";
SDLRPCParameterName const SDLRPCParameterNameImageFields = @"imageFields";
SDLRPCParameterName const SDLRPCParameterNameImageResolution = @"imageResolution";
SDLRPCParameterName const SDLRPCParameterNameImageSupported = @"imageSupported";
SDLRPCParameterName const SDLRPCParameterNameImageTemplate = @"isTemplate";
SDLRPCParameterName const SDLRPCParameterNameImageType = @"imageType";
SDLRPCParameterName const SDLRPCParameterNameImageTypeSupported = @"imageTypeSupported";
SDLRPCParameterName const SDLRPCParameterNameInfo = @"info";
SDLRPCParameterName const SDLRPCParameterNameInitialPrompt = @"initialPrompt";
SDLRPCParameterName const SDLRPCParameterNameInitialText = @"initialText";
SDLRPCParameterName const SDLRPCParameterNameInnerLeftRear = @"innerLeftRear";
SDLRPCParameterName const SDLRPCParameterNameInnerRightRear = @"innerRightRear";
SDLRPCParameterName const SDLRPCParameterNameInstantFuelConsumption = @"instantFuelConsumption";
SDLRPCParameterName const SDLRPCParameterNameInstructions = @"instructions";
SDLRPCParameterName const SDLRPCParameterNameInteractionChoiceSetId = @"interactionChoiceSetID";
SDLRPCParameterName const SDLRPCParameterNameInteractionChoiceSetIdList = @"interactionChoiceSetIDList";
SDLRPCParameterName const SDLRPCParameterNameInteractionLayout = @"interactionLayout";
SDLRPCParameterName const SDLRPCParameterNameInteractionMode = @"interactionMode";
SDLRPCParameterName const SDLRPCParameterNameIsExplicit = @"isExplicit";
SDLRPCParameterName const SDLRPCParameterNameIsHighlighted = @"isHighlighted";
SDLRPCParameterName const SDLRPCParameterNameIsMediaApplication = @"isMediaApplication";
SDLRPCParameterName const SDLRPCParameterNameIsSubscribed = @"isSubscribed";
SDLRPCParameterName const SDLRPCParameterNameJunctionType = @"junctionType";
SDLRPCParameterName const SDLRPCParameterNameKeepContext = @"keepContext";
SDLRPCParameterName const SDLRPCParameterNameKeepContextAvailable = @"keepContextAvailable";
SDLRPCParameterName const SDLRPCParameterNameKeyboardCapabilities = @"keyboardCapabilities";
SDLRPCParameterName const SDLRPCParameterNameKeyboardLayout = @"keyboardLayout";
SDLRPCParameterName const SDLRPCParameterNameKeyboardProperties = @"keyboardProperties";
SDLRPCParameterName const SDLRPCParameterNameKeypressMode = @"keypressMode";
SDLRPCParameterName const SDLRPCParameterNameLabel = @"label";
SDLRPCParameterName const SDLRPCParameterNameLanguage = @"language";
SDLRPCParameterName const SDLRPCParameterNameLanguageDesired = @"languageDesired";
SDLRPCParameterName const SDLRPCParameterNameLatitudeDegrees = @"latitudeDegrees";
SDLRPCParameterName const SDLRPCParameterNameLeftFront = @"leftFront";
SDLRPCParameterName const SDLRPCParameterNameLeftRear = @"leftRear";
SDLRPCParameterName const SDLRPCParameterNameLeftRearInflatableBelted = @"leftRearInflatableBelted";
SDLRPCParameterName const SDLRPCParameterNameLeftRow2BuckleBelted = @"leftRow2BuckleBelted";
SDLRPCParameterName const SDLRPCParameterNameLeftRow3BuckleBelted = @"leftRow3BuckleBelted";
SDLRPCParameterName const SDLRPCParameterNameLength = @"length";
SDLRPCParameterName const SDLRPCParameterNameLevel = @"level";
SDLRPCParameterName const SDLRPCParameterNameLevels = @"levels";
SDLRPCParameterName const SDLRPCParameterNameLevelSpan = @"levelspan";
SDLRPCParameterName const SDLRPCParameterNameLevelState = @"levelState";
SDLRPCParameterName const SDLRPCParameterNameLightControlCapabilities = @"lightControlCapabilities";
SDLRPCParameterName const SDLRPCParameterNameLightControlData = @"lightControlData";
SDLRPCParameterName const SDLRPCParameterNameLightState = @"lightState";
SDLRPCParameterName const SDLRPCParameterNameLimitedCharacterList = @"limitedCharacterList";
SDLRPCParameterName const SDLRPCParameterNameLocality = @"locality";
SDLRPCParameterName const SDLRPCParameterNameLocation = @"location";
SDLRPCParameterName const SDLRPCParameterNameLocationCoordinate = @"coordinate";
SDLRPCParameterName const SDLRPCParameterNameLocationDescription = @"locationDescription";
SDLRPCParameterName const SDLRPCParameterNameLocationDetails = @"locationDetails";
SDLRPCParameterName const SDLRPCParameterNameLocationImage = @"locationImage";
SDLRPCParameterName const SDLRPCParameterNameLocationName = @"locationName";
SDLRPCParameterName const SDLRPCParameterNameLockScreenDismissalEnabled = @"lockScreenDismissalEnabled";
SDLRPCParameterName const SDLRPCParameterNameLockScreenDismissalWarning = @"lockScreenDismissalWarning";
SDLRPCParameterName const SDLRPCParameterNameLongitudeDegrees = @"longitudeDegrees";
SDLRPCParameterName const SDLRPCParameterNameLongPress = @"longPress";
SDLRPCParameterName const SDLRPCParameterNameLongPressAvailable = @"longPressAvailable";
SDLRPCParameterName const SDLRPCParameterNameLowBeamsOn = @"lowBeamsOn";
SDLRPCParameterName const SDLRPCParameterNameMainField1 = @"mainField1";
SDLRPCParameterName const SDLRPCParameterNameMainField2 = @"mainField2";
SDLRPCParameterName const SDLRPCParameterNameMainField3 = @"mainField3";
SDLRPCParameterName const SDLRPCParameterNameMainField4 = @"mainField4";
SDLRPCParameterName const SDLRPCParameterNameMajorVersion = @"majorVersion";
SDLRPCParameterName const SDLRPCParameterNameMake = @"make";
SDLRPCParameterName const SDLRPCParameterNameManeuverComplete = @"maneuverComplete";
SDLRPCParameterName const SDLRPCParameterNameManualTextEntry = @"manualTextEntry";
SDLRPCParameterName const SDLRPCParameterNameMaskInputCharacters = @"maskInputCharacters";
SDLRPCParameterName const SDLRPCParameterNameMaskInputCharactersSupported = @"maskInputCharactersSupported";
SDLRPCParameterName const SDLRPCParameterNameMassageCushionFirmness = @"massageCushionFirmness";
SDLRPCParameterName const SDLRPCParameterNameMassageCushionFirmnessAvailable = @"massageCushionFirmnessAvailable";
SDLRPCParameterName const SDLRPCParameterNameMassageEnabled = @"massageEnabled";
SDLRPCParameterName const SDLRPCParameterNameMassageEnabledAvailable = @"massageEnabledAvailable";
SDLRPCParameterName const SDLRPCParameterNameMassageMode = @"massageMode";
SDLRPCParameterName const SDLRPCParameterNameMassageModeAvailable = @"massageModeAvailable";
SDLRPCParameterName const SDLRPCParameterNameMassageZone = @"massageZone";
SDLRPCParameterName const SDLRPCParameterNameMaxBitrate = @"maxBitrate";
SDLRPCParameterName const SDLRPCParameterNameMaxDuration = @"maxDuration";
SDLRPCParameterName const SDLRPCParameterNameMaxHourlyForecastAmount = @"maxHourlyForecastAmount";
SDLRPCParameterName const SDLRPCParameterNameMaximumChangeVelocity = @"maximumChangeVelocity";
SDLRPCParameterName const SDLRPCParameterNameMaximumNumberOfWindows = @"maximumNumberOfWindows";
SDLRPCParameterName const SDLRPCParameterNameMaxMinutelyForecastAmount = @"maxMinutelyForecastAmount";
SDLRPCParameterName const SDLRPCParameterNameMaxMultidayForecastAmount = @"maxMultidayForecastAmount";
SDLRPCParameterName const SDLRPCParameterNameMaxNumberRFCOMMPorts = @"maxNumberRFCOMMPorts";
SDLRPCParameterName const SDLRPCParameterNameMediaAlbum = @"mediaAlbum";
SDLRPCParameterName const SDLRPCParameterNameMediaArtist = @"mediaArtist";
SDLRPCParameterName const SDLRPCParameterNameMediaClock = @"mediaClock";
SDLRPCParameterName const SDLRPCParameterNameMediaClockFormats = @"mediaClockFormats";
SDLRPCParameterName const SDLRPCParameterNameMediaServiceData = @"mediaServiceData";
SDLRPCParameterName const SDLRPCParameterNameMediaServiceManifest = @"mediaServiceManifest";
SDLRPCParameterName const SDLRPCParameterNameMediaImage = @"mediaImage";
SDLRPCParameterName const SDLRPCParameterNameMediaTitle = @"mediaTitle";
SDLRPCParameterName const SDLRPCParameterNameMediaTrack = @"mediaTrack";
SDLRPCParameterName const SDLRPCParameterNameMediaType = @"mediaType";
SDLRPCParameterName const SDLRPCParameterNameMemory = @"memory";
SDLRPCParameterName const SDLRPCParameterNameMemoryAvailable = @"memoryAvailable";
SDLRPCParameterName const SDLRPCParameterNameMenuIcon = @"menuIcon";
SDLRPCParameterName const SDLRPCParameterNameMenuID = @"menuID";
SDLRPCParameterName const SDLRPCParameterNameMenuLayout = @"menuLayout";
SDLRPCParameterName const SDLRPCParameterNameMenuLayoutsAvailable = @"menuLayoutsAvailable";
SDLRPCParameterName const SDLRPCParameterNameMenuLength = @"menuLength";
SDLRPCParameterName const SDLRPCParameterNameMenuName = @"menuName";
SDLRPCParameterName const SDLRPCParameterNameMenuParams = @"menuParams";
SDLRPCParameterName const SDLRPCParameterNameMenuTitle = @"menuTitle";
SDLRPCParameterName const SDLRPCParameterNameMessageData = @"messageData";
SDLRPCParameterName const SDLRPCParameterNameMessageDataResult = @"messageDataResult";
SDLRPCParameterName const SDLRPCParameterNameMessageLength = @"messageLength";
SDLRPCParameterName const SDLRPCParameterNameMetadataTags = @"metadataTags";
SDLRPCParameterName const SDLRPCParameterNameMiddleRow1BeltDeployed = @"middleRow1BeltDeployed";
SDLRPCParameterName const SDLRPCParameterNameMiddleRow1BuckleBelted = @"middleRow1BuckleBelted";
SDLRPCParameterName const SDLRPCParameterNameMiddleRow2BuckleBelted = @"middleRow2BuckleBelted";
SDLRPCParameterName const SDLRPCParameterNameMiddleRow3BuckleBelted = @"middleRow3BuckleBelted";
SDLRPCParameterName const SDLRPCParameterNameMillisecond = @"millisecond";
SDLRPCParameterName const SDLRPCParameterNameMinorVersion = @"minorVersion";
SDLRPCParameterName const SDLRPCParameterNameMinute = @"minute";
SDLRPCParameterName const SDLRPCParameterNameMinuteForecast = @"minuteForecast";
SDLRPCParameterName const SDLRPCParameterNameMinutes = @"minutes";
SDLRPCParameterName const SDLRPCParameterNameModel = @"model";
SDLRPCParameterName const SDLRPCParameterNameModuleData = @"moduleData";
SDLRPCParameterName const SDLRPCParameterNameModuleId = @"moduleId";
SDLRPCParameterName const SDLRPCParameterNameModuleIds = @"moduleIds";
SDLRPCParameterName const SDLRPCParameterNameModuleInfo = @"moduleInfo";
SDLRPCParameterName const SDLRPCParameterNameModuleName = @"moduleName";
SDLRPCParameterName const SDLRPCParameterNameModuleType = @"moduleType";
SDLRPCParameterName const SDLRPCParameterNameModelYear = @"modelYear";
SDLRPCParameterName const SDLRPCParameterNameMonoAudioOutputMuted = @"monoAudioOutputMuted";
SDLRPCParameterName const SDLRPCParameterNameMonth = @"month";
SDLRPCParameterName const SDLRPCParameterNameMoonPhase = @"moonPhase";
SDLRPCParameterName const SDLRPCParameterNameMultidayForecast = @"multidayForecast";
SDLRPCParameterName const SDLRPCParameterNameMultipleEvents = @"multipleEvents";
SDLRPCParameterName const SDLRPCParameterNameMultiTouchAvailable = @"multiTouchAvailable";
SDLRPCParameterName const SDLRPCParameterNameMuteAudio = @"muteAudio";
SDLRPCParameterName const SDLRPCParameterNameMyKey = @"myKey";
SDLRPCParameterName const SDLRPCParameterNameName = @"name";
SDLRPCParameterName const SDLRPCParameterNameNavigation = @"navigation";
SDLRPCParameterName const SDLRPCParameterNameNavigationCapability = @"navigationCapability";
SDLRPCParameterName const SDLRPCParameterNameNavigationServiceData = @"navigationServiceData";
SDLRPCParameterName const SDLRPCParameterNameNavigationServiceManifest = @"navigationServiceManifest";
SDLRPCParameterName const SDLRPCParameterNameNavigationText = @"navigationText";
SDLRPCParameterName const SDLRPCParameterNameNavigationText1 = @"navigationText1";
SDLRPCParameterName const SDLRPCParameterNameNavigationText2 = @"navigationText2";
SDLRPCParameterName const SDLRPCParameterNameNearestStormBearing = @"nearestStormBearing";
SDLRPCParameterName const SDLRPCParameterNameNearestStormDistance = @"nearestStormDistance";
SDLRPCParameterName const SDLRPCParameterNameNextInstructionDistance = @"nextInstructionDistance";
SDLRPCParameterName const SDLRPCParameterNameNextInstructionDistanceScale = @"nextInstructionDistanceScale";
SDLRPCParameterName const SDLRPCParameterNameNextInstructionETA = @"nextInstructionETA";
SDLRPCParameterName const SDLRPCParameterNameNextTurnIcon = @"nextTurnIcon";
SDLRPCParameterName const SDLRPCParameterNameNGNMediaScreenAppName = @"ngnMediaScreenAppName";
SDLRPCParameterName const SDLRPCParameterNameNicknames = @"nicknames";
SDLRPCParameterName const SDLRPCParameterNameNightColorScheme = @"nightColorScheme";
SDLRPCParameterName const SDLRPCParameterNameNotification = @"notification";
SDLRPCParameterName const SDLRPCParameterNameNumber = @"number";
SDLRPCParameterName const SDLRPCParameterNameNumberCustomPresetsAvailable = @"numCustomPresetsAvailable";
SDLRPCParameterName const SDLRPCParameterNameNumberTicks = @"numTicks";
SDLRPCParameterName const SDLRPCParameterNameNumConfigurableKeys = @"numConfigurableKeys";
SDLRPCParameterName const SDLRPCParameterNameOdometer = @"odometer";
SDLRPCParameterName const SDLRPCParameterNameOEMCustomDataType = @"oemCustomDataType";
SDLRPCParameterName const SDLRPCParameterNameOffset = @"offset";
SDLRPCParameterName const SDLRPCParameterNameOnLockScreenStatus = @"OnLockScreenStatus";
SDLRPCParameterName const SDLRPCParameterNameOnScreenPresetsAvailable = @"onScreenPresetsAvailable";
SDLRPCParameterName const SDLRPCParameterNameOperationName = @"name";
SDLRPCParameterName const SDLRPCParameterNameOrigin = @"origin";
SDLRPCParameterName const SDLRPCParameterNameOriginApp = @"originApp";
SDLRPCParameterName const SDLRPCParameterNameOS = @"os";
SDLRPCParameterName const SDLRPCParameterNameOSVersion = @"osVersion";
SDLRPCParameterName const SDLRPCParameterNameParameterPermissions = @"parameterPermissions";
SDLRPCParameterName const SDLRPCParameterNameParameters = @"parameters";
SDLRPCParameterName const SDLRPCParameterNameParentID = @"parentID";
SDLRPCParameterName const SDLRPCParameterNameParkBrakeActive = @"parkBrakeActive";
SDLRPCParameterName const SDLRPCParameterNamePassengerAirbagDeployed = @"passengerAirbagDeployed";
SDLRPCParameterName const SDLRPCParameterNamePassengerBeltDeployed = @"passengerBeltDeployed";
SDLRPCParameterName const SDLRPCParameterNamePassengerBuckleBelted = @"passengerBuckleBelted";
SDLRPCParameterName const SDLRPCParameterNamePassengerChildDetected = @"passengerChildDetected";
SDLRPCParameterName const SDLRPCParameterNamePassengerCurtainAirbagDeployed = @"passengerCurtainAirbagDeployed";
SDLRPCParameterName const SDLRPCParameterNamePassengerDoorAjar = @"passengerDoorAjar";
SDLRPCParameterName const SDLRPCParameterNamePassengerKneeAirbagDeployed = @"passengerKneeAirbagDeployed";
SDLRPCParameterName const SDLRPCParameterNamePassengerSideAirbagDeployed = @"passengerSideAirbagDeployed";
SDLRPCParameterName const SDLRPCParameterNamePatchVersion = @"patchVersion";
SDLRPCParameterName const SDLRPCParameterNamePCMStreamCapabilities = @"pcmStreamCapabilities";
SDLRPCParameterName const SDLRPCParameterNamePDOP = @"pdop";
SDLRPCParameterName const SDLRPCParameterNamePermissionItem = @"permissionItem";
SDLRPCParameterName const SDLRPCParameterNamePersistentFile = @"persistentFile";
SDLRPCParameterName const SDLRPCParameterNamePhoneCall = @"phoneCall";
SDLRPCParameterName const SDLRPCParameterNamePhoneCapability = @"phoneCapability";
SDLRPCParameterName const SDLRPCParameterNamePhoneNumber = @"phoneNumber";
SDLRPCParameterName const SDLRPCParameterNamePhoneRoaming = @"phoneRoaming";
SDLRPCParameterName const SDLRPCParameterNamePixelPerInch = @"pixelPerInch";
SDLRPCParameterName const SDLRPCParameterNamePrimaryColor = @"primaryColor";
SDLRPCParameterName const SDLRPCParameterNamePlaylistName = @"playlistName";
SDLRPCParameterName const SDLRPCParameterNamePlayTone = @"playTone";
SDLRPCParameterName const SDLRPCParameterNamePosition = @"position";
SDLRPCParameterName const SDLRPCParameterNamePostalCode = @"postalCode";
SDLRPCParameterName const SDLRPCParameterNamePrecipAccumulation = @"precipAccumulation";
SDLRPCParameterName const SDLRPCParameterNamePrecipIntensity = @"precipIntensity";
SDLRPCParameterName const SDLRPCParameterNamePrecipProbability = @"precipProbability";
SDLRPCParameterName const SDLRPCParameterNamePrecipType = @"precipType";
SDLRPCParameterName const SDLRPCParameterNamePowerModeActive = @"powerModeActive";
SDLRPCParameterName const SDLRPCParameterNamePowerModeQualificationStatus = @"powerModeQualificationStatus";
SDLRPCParameterName const SDLRPCParameterNamePowerModeStatus = @"powerModeStatus";
SDLRPCParameterName const SDLRPCParameterNamePreferredFPS = @"preferredFPS";
SDLRPCParameterName const SDLRPCParameterNamePreferredResolution = @"preferredResolution";
SDLRPCParameterName const SDLRPCParameterNamePrerecordedSpeech = @"prerecordedSpeech";
SDLRPCParameterName const SDLRPCParameterNamePresetBankCapabilities = @"presetBankCapabilities";
SDLRPCParameterName const SDLRPCParameterNamePressAvailable = @"pressAvailable";
SDLRPCParameterName const SDLRPCParameterNamePressure = @"pressure";
SDLRPCParameterName const SDLRPCParameterNamePressureTelltale = @"pressureTelltale";
SDLRPCParameterName const SDLRPCParameterNamePrimaryAudioSource = @"primaryAudioSource";
SDLRPCParameterName const SDLRPCParameterNamePRNDL = @"prndl";
SDLRPCParameterName const SDLRPCParameterNameProgramIdentification = @"PI";
SDLRPCParameterName const SDLRPCParameterNameProgressIndicator = @"progressIndicator";
SDLRPCParameterName const SDLRPCParameterNameProperties = @"properties";
SDLRPCParameterName const SDLRPCParameterNameProgramService = @"PS";
SDLRPCParameterName const SDLRPCParameterNameProgramType = @"PTY";
SDLRPCParameterName const SDLRPCParameterNamePrompt = @"prompt";
SDLRPCParameterName const SDLRPCParameterNameQueueCurrentTrackNumber = @"queueCurrentTrackNumber";
SDLRPCParameterName const SDLRPCParameterNameQueuePlaybackDuration = @"queuePlaybackDuration";
SDLRPCParameterName const SDLRPCParameterNameQueuePlaybackProgress = @"queuePlaybackProgress";
SDLRPCParameterName const SDLRPCParameterNameQueueTotalTrackCount = @"queueTotalTrackCount";
SDLRPCParameterName const SDLRPCParameterNameRadioBandAvailable = @"radioBandAvailable";
SDLRPCParameterName const SDLRPCParameterNameRadioControlCapabilities = @"radioControlCapabilities";
SDLRPCParameterName const SDLRPCParameterNameRadioFrequencyAvailable = @"radioFrequencyAvailable";
SDLRPCParameterName const SDLRPCParameterNameRadioControlData = @"radioControlData";
SDLRPCParameterName const SDLRPCParameterNameRadioEnable = @"radioEnable";
SDLRPCParameterName const SDLRPCParameterNameRadioEnableAvailable = @"radioEnableAvailable";
SDLRPCParameterName const SDLRPCParameterNameRange = @"range";
SDLRPCParameterName const SDLRPCParameterNameRDSData = @"rdsData";
SDLRPCParameterName const SDLRPCParameterNameRDSDataAvailable = @"rdsDataAvailable";
SDLRPCParameterName const SDLRPCParameterNameRearLeftDoorAjar = @"rearLeftDoorAjar";
SDLRPCParameterName const SDLRPCParameterNameRearRightDoorAjar = @"rearRightDoorAjar";
SDLRPCParameterName const SDLRPCParameterNameReason = @"reason";
SDLRPCParameterName const SDLRPCParameterNameRed = @"red";
SDLRPCParameterName const SDLRPCParameterNameRect = @"rect";
SDLRPCParameterName const SDLRPCParameterNameRegion = @"REG";
SDLRPCParameterName const SDLRPCParameterNameRegions = @"regions";
SDLRPCParameterName const SDLRPCParameterNameRemoteControl = @"remoteControl";
SDLRPCParameterName const SDLRPCParameterNameRemoteControlCapability = @"remoteControlCapability";
SDLRPCParameterName const SDLRPCParameterNameRequest = @"request";
SDLRPCParameterName const SDLRPCParameterNameRequestServiceActive = @"requestServiceActive";
SDLRPCParameterName const SDLRPCParameterNameRequestSubType = @"requestSubType";
SDLRPCParameterName const SDLRPCParameterNameRequestType = @"requestType";
SDLRPCParameterName const SDLRPCParameterNameRequireEncryption = @"requireEncryption";
SDLRPCParameterName const SDLRPCParameterNameReserved = @"reserved";
SDLRPCParameterName const SDLRPCParameterNameSecondaryColor = @"secondaryColor";
SDLRPCParameterName const SDLRPCParameterNameResolution = @"resolution";
SDLRPCParameterName const SDLRPCParameterNameResolutionHeight = @"resolutionHeight";
SDLRPCParameterName const SDLRPCParameterNameResolutionWidth = @"resolutionWidth";
SDLRPCParameterName const SDLRPCParameterNameResponse = @"response";
SDLRPCParameterName const SDLRPCParameterNameResult = @"result";
SDLRPCParameterName const SDLRPCParameterNameResultCode = @"resultCode";
SDLRPCParameterName const SDLRPCParameterNameRightFront = @"rightFront";
SDLRPCParameterName const SDLRPCParameterNameRightRear = @"rightRear";
SDLRPCParameterName const SDLRPCParameterNameRightRearInflatableBelted = @"rightRearInflatableBelted";
SDLRPCParameterName const SDLRPCParameterNameRightRow2BuckleBelted = @"rightRow2BuckleBelted";
SDLRPCParameterName const SDLRPCParameterNameRightRow3BuckleBelted = @"rightRow3BuckleBelted";
SDLRPCParameterName const SDLRPCParameterNameRolloverEvent = @"rolloverEvent";
SDLRPCParameterName const SDLRPCParameterNameRoofStatuses = @"roofStatuses";
SDLRPCParameterName const SDLRPCParameterNameRow = @"row";
SDLRPCParameterName const SDLRPCParameterNameRows = @"rows";
SDLRPCParameterName const SDLRPCParameterNameRowSpan = @"rowspan";
SDLRPCParameterName const SDLRPCParameterNameRPCName = @"rpcName";
SDLRPCParameterName const SDLRPCParameterNameRPCSpecVersion = @"rpcSpecVersion";
SDLRPCParameterName const SDLRPCParameterNameRPM = @"rpm";
SDLRPCParameterName const SDLRPCParameterNameRadioText  = @"RT";
SDLRPCParameterName const SDLRPCParameterNameSamplingRate = @"samplingRate";
SDLRPCParameterName const SDLRPCParameterNameSatellites = @"satellites";
SDLRPCParameterName const SDLRPCParameterNameScale = @"scale";
SDLRPCParameterName const SDLRPCParameterNameScreenParams = @"screenParams";
SDLRPCParameterName const SDLRPCParameterNameScrollableMessageBody = @"scrollableMessageBody";
SDLRPCParameterName const SDLRPCParameterNameSDLVersion = @"sdlVersion";
SDLRPCParameterName const SDLRPCParameterNameSearchAddress = @"searchAddress";
SDLRPCParameterName const SDLRPCParameterNameSeatControlData = @"seatControlData";
SDLRPCParameterName const SDLRPCParameterNameSeatControlCapabilities = @"seatControlCapabilities";
SDLRPCParameterName const SDLRPCParameterNameSeatLocation = @"seatLocation";
SDLRPCParameterName const SDLRPCParameterNameSeatLocationCapability = @"seatLocationCapability";
SDLRPCParameterName const SDLRPCParameterNameSeatOccupancy = @"seatOccupancy";
SDLRPCParameterName const SDLRPCParameterNameSeats = @"seats";
SDLRPCParameterName const SDLRPCParameterNameSeatsBelted = @"seatsBelted";
SDLRPCParameterName const SDLRPCParameterNameSeatsOccupied = @"seatsOccupied";
SDLRPCParameterName const SDLRPCParameterNameSecondaryGraphic = @"secondaryGraphic";
SDLRPCParameterName const SDLRPCParameterNameSecondaryImage = @"secondaryImage";
SDLRPCParameterName const SDLRPCParameterNameSecondaryText = @"secondaryText";
SDLRPCParameterName const SDLRPCParameterNameSecond = @"second";
SDLRPCParameterName const SDLRPCParameterNameSeconds = @"seconds";
SDLRPCParameterName const SDLRPCParameterNameSeekTime = @"seekTime";
SDLRPCParameterName const SDLRPCParameterNameSendLocationEnabled = @"sendLocationEnabled";
SDLRPCParameterName const SDLRPCParameterNameServiceActive = @"serviceActive";
SDLRPCParameterName const SDLRPCParameterNameServiceArea = @"serviceArea";
SDLRPCParameterName const SDLRPCParameterNameServiceData = @"serviceData";
SDLRPCParameterName const SDLRPCParameterNameServiceIcon = @"serviceIcon";
SDLRPCParameterName const SDLRPCParameterNameServiceID = @"serviceID";
SDLRPCParameterName const SDLRPCParameterNameServiceManifest = @"serviceManifest";
SDLRPCParameterName const SDLRPCParameterNameServiceName = @"serviceName";
SDLRPCParameterName const SDLRPCParameterNameServicePublished = @"servicePublished";
SDLRPCParameterName const SDLRPCParameterNameServiceSpecificResult = @"serviceSpecificResult";
SDLRPCParameterName const SDLRPCParameterNameServiceType = @"serviceType";
SDLRPCParameterName const SDLRPCParameterNameServiceUri = @"serviceUri";
SDLRPCParameterName const SDLRPCParameterNameSeverity = @"severity";
SDLRPCParameterName const SDLRPCParameterNameShifted = @"shifted";
SDLRPCParameterName const SDLRPCParameterNameShortPress = @"shortPress";
SDLRPCParameterName const SDLRPCParameterNameShortPressAvailable = @"shortPressAvailable";
SDLRPCParameterName const SDLRPCParameterNameSignalLevelStatus = @"signalLevelStatus";
SDLRPCParameterName const SDLRPCParameterNameSignalChangeThreshold = @"signalChangeThreshold";
SDLRPCParameterName const SDLRPCParameterNameSignalChangeThresholdAvailable = @"signalChangeThresholdAvailable";
SDLRPCParameterName const SDLRPCParameterNameSignalStrength = @"signalStrength";
SDLRPCParameterName const SDLRPCParameterNameSignalStrengthAvailable = @"signalStrengthAvailable";
SDLRPCParameterName const SDLRPCParameterNameSiriusXMRadioAvailable = @"siriusxmRadioAvailable";
SDLRPCParameterName const SDLRPCParameterNameSISData = @"sisData";
SDLRPCParameterName const SDLRPCParameterNameSISDataAvailable = @"sisDataAvailable";
SDLRPCParameterName const SDLRPCParameterNameSliderFooter = @"sliderFooter";
SDLRPCParameterName const SDLRPCParameterNameSliderHeader = @"sliderHeader";
SDLRPCParameterName const SDLRPCParameterNameSliderPosition = @"sliderPosition";
SDLRPCParameterName const SDLRPCParameterNameSoftButtonCapabilities = @"softButtonCapabilities";
SDLRPCParameterName const SDLRPCParameterNameSoftButtonId = @"softButtonID";
SDLRPCParameterName const SDLRPCParameterNameSoftButtons = @"softButtons";
SDLRPCParameterName const SDLRPCParameterNameSource = @"source";
SDLRPCParameterName const SDLRPCParameterNameSourceAvailable = @"sourceAvailable";
SDLRPCParameterName const SDLRPCParameterNameSpaceAvailable = @"spaceAvailable";
SDLRPCParameterName const SDLRPCParameterNameSpeechCapabilities = @"speechCapabilities";
SDLRPCParameterName const SDLRPCParameterNameSpeed = @"speed";
SDLRPCParameterName const SDLRPCParameterNameRGBColorSpaceAvailable  = @"rgbColorSpaceAvailable";
SDLRPCParameterName const SDLRPCParameterNameStabilityControlsStatus = @"stabilityControlsStatus";
SDLRPCParameterName const SDLRPCParameterNameStartTime = @"startTime";
SDLRPCParameterName const SDLRPCParameterNameState = @"state";
SDLRPCParameterName const SDLRPCParameterNameStateAvailable = @"stateAvailable";
SDLRPCParameterName const SDLRPCParameterNameStateOfCharge = @"stateOfCharge";
SDLRPCParameterName const SDLRPCParameterNameStationIDNumber = @"stationIDNumber";
SDLRPCParameterName const SDLRPCParameterNameStationLongName = @"stationLongName";
SDLRPCParameterName const SDLRPCParameterNameStationLocation = @"stationLocation";
SDLRPCParameterName const SDLRPCParameterNameStationMessage = @"stationMessage";
SDLRPCParameterName const SDLRPCParameterNameStationShortName = @"stationShortName";
SDLRPCParameterName const SDLRPCParameterNameStatus = @"status";
SDLRPCParameterName const SDLRPCParameterNameStatusAvailable = @"statusAvailable";
SDLRPCParameterName const SDLRPCParameterNameStatusBar = @"statusBar";
SDLRPCParameterName const SDLRPCParameterNameSteeringWheelAngle = @"steeringWheelAngle";
SDLRPCParameterName const SDLRPCParameterNameStereoAudioOutputMuted = @"stereoAudioOutputMuted";
SDLRPCParameterName const SDLRPCParameterNameSubAdministrativeArea = @"subAdministrativeArea";
SDLRPCParameterName const SDLRPCParameterNameSubLocality = @"subLocality";
SDLRPCParameterName const SDLRPCParameterNameSubMenuDepth = @"subMenuDepth";
SDLRPCParameterName const SDLRPCParameterNameSubscribe = @"subscribe";
SDLRPCParameterName const SDLRPCParameterNameSubThoroughfare = @"subThoroughfare";
SDLRPCParameterName const SDLRPCParameterNameSuccess = @"success";
SDLRPCParameterName const SDLRPCParameterNameSummary = @"summary";
SDLRPCParameterName const SDLRPCParameterNameSupportedDiagnosticModes = @"supportedDiagModes";
SDLRPCParameterName const SDLRPCParameterNameSupportedDynamicImageFieldNames = @"supportedDynamicImageFieldNames";
SDLRPCParameterName const SDLRPCParameterNameSupportsDynamicSubMenus = @"supportsDynamicSubMenus";
SDLRPCParameterName const SDLRPCParameterNameSupportedFormats = @"supportedFormats";
SDLRPCParameterName const SDLRPCParameterNameSupportedKeyboards = @"supportedKeyboards";
SDLRPCParameterName const SDLRPCParameterNameSupportedLights = @"supportedLights";
SDLRPCParameterName const SDLRPCParameterNameSyncFileName = @"syncFileName";
SDLRPCParameterName const SDLRPCParameterNameSyncMessageVersion = @"syncMsgVersion";
SDLRPCParameterName const SDLRPCParameterNameSystemAction = @"systemAction";
SDLRPCParameterName const SDLRPCParameterNameSystemCapability = @"systemCapability";
SDLRPCParameterName const SDLRPCParameterNameSystemCapabilityType = @"systemCapabilityType";
SDLRPCParameterName const SDLRPCParameterNameSystemContext = @"systemContext";
SDLRPCParameterName const SDLRPCParameterNameSystemFile = @"systemFile";
SDLRPCParameterName const SDLRPCParameterNameSystemSoftwareVersion = @"systemSoftwareVersion";
SDLRPCParameterName const SDLRPCParameterNameTrackPlaybackDuration = @"trackPlaybackDuration";
SDLRPCParameterName const SDLRPCParameterNameTrackPlaybackProgress = @"trackPlaybackProgress";
SDLRPCParameterName const SDLRPCParameterNameTrafficAnnouncementIdentification = @"TA";
SDLRPCParameterName const SDLRPCParameterNameTargetId = @"targetID";
SDLRPCParameterName const SDLRPCParameterNameTemperatureHigh = @"temperatureHigh";
SDLRPCParameterName const SDLRPCParameterNameTemperatureLow = @"temperatureLow";
SDLRPCParameterName const SDLRPCParameterNameTemperatureUnit = @"temperatureUnit";
SDLRPCParameterName const SDLRPCParameterNameTemplate = @"template";
SDLRPCParameterName const SDLRPCParameterNameTemplateConfiguration = @"templateConfiguration";
SDLRPCParameterName const SDLRPCParameterNameTemperatureUnitAvailable = @"temperatureUnitAvailable";
SDLRPCParameterName const SDLRPCParameterNameTemplatesAvailable = @"templatesAvailable";
SDLRPCParameterName const SDLRPCParameterNameTemplateTitle = @"templateTitle";
SDLRPCParameterName const SDLRPCParameterNameTertiaryText = @"tertiaryText";
SDLRPCParameterName const SDLRPCParameterNameText = @"text";
SDLRPCParameterName const SDLRPCParameterNameTextFields = @"textFields";
SDLRPCParameterName const SDLRPCParameterNameTextMessageAvailable = @"textMsgAvailable";
SDLRPCParameterName const SDLRPCParameterNameTextSupported = @"textSupported";
SDLRPCParameterName const SDLRPCParameterNameThoroughfare = @"thoroughfare";
SDLRPCParameterName const SDLRPCParameterNameTimeIssued = @"timeIssued";
SDLRPCParameterName const SDLRPCParameterNameTime = @"time";
SDLRPCParameterName const SDLRPCParameterNameTimeout = @"timeout";
SDLRPCParameterName const SDLRPCParameterNameTimeoutCapitalized = @"Timeout";
SDLRPCParameterName const SDLRPCParameterNameTimeoutPrompt = @"timeoutPrompt";
SDLRPCParameterName const SDLRPCParameterNameTS = @"ts";
SDLRPCParameterName const SDLRPCParameterNameTimeStamp = @"timeStamp";
SDLRPCParameterName const SDLRPCParameterNameTimeToDestination = @"timeToDestination";
SDLRPCParameterName const SDLRPCParameterNameTimezoneHourOffset = @"tz_hour";
SDLRPCParameterName const SDLRPCParameterNameTimezoneMinuteOffset = @"tz_minute";
SDLRPCParameterName const SDLRPCParameterNameTirePressure = @"tirePressure";
SDLRPCParameterName const SDLRPCParameterNameTitle = @"title";
SDLRPCParameterName const SDLRPCParameterNameTotalDistance = @"totalDistance";
SDLRPCParameterName const SDLRPCParameterNameTouchEventAvailable = @"touchEventAvailable";
SDLRPCParameterName const SDLRPCParameterNameTPMS = @"tpms";
SDLRPCParameterName const SDLRPCParameterNameTrafficProgramIdentification = @"TP";
SDLRPCParameterName const SDLRPCParameterNameTrailerSwayControl = @"trailerSwayControl";
SDLRPCParameterName const SDLRPCParameterNameTransmissionType = @"transmissionType";
SDLRPCParameterName const SDLRPCParameterNameTriggerSource = @"triggerSource";
SDLRPCParameterName const SDLRPCParameterNameTrim = @"trim";
SDLRPCParameterName const SDLRPCParameterNameTryAgainTime = @"tryAgainTime";
SDLRPCParameterName const SDLRPCParameterNameTTSChunks = @"ttsChunks";
SDLRPCParameterName const SDLRPCParameterNameTTSName = @"ttsName";
SDLRPCParameterName const SDLRPCParameterNameTurnIcon = @"turnIcon";
SDLRPCParameterName const SDLRPCParameterNameTurnList = @"turnList";
SDLRPCParameterName const SDLRPCParameterNameTurnSignal = @"turnSignal";
SDLRPCParameterName const SDLRPCParameterNameType = @"type";
SDLRPCParameterName const SDLRPCParameterNameUnit = @"unit";
SDLRPCParameterName const SDLRPCParameterNameUnsubscribe = @"Unsubscribe";
SDLRPCParameterName const SDLRPCParameterNameUpdatedAppServiceRecord = @"updatedAppServiceRecord";
SDLRPCParameterName const SDLRPCParameterNameUpdateMode = @"updateMode";
SDLRPCParameterName const SDLRPCParameterNameUpdateReason= @"updateReason";
SDLRPCParameterName const SDLRPCParameterNameUpdateSubCells = @"updateSubCells";
SDLRPCParameterName const SDLRPCParameterNameUpDownAvailable = @"upDownAvailable";
SDLRPCParameterName const SDLRPCParameterNameURL = @"url";
SDLRPCParameterName const SDLRPCParameterNameURLUppercase = @"URL";
SDLRPCParameterName const SDLRPCParameterNameUserDisallowed = @"userDisallowed";
SDLRPCParameterName const SDLRPCParameterNameUserLocation = @"userLocation";
SDLRPCParameterName const SDLRPCParameterNameUserSelected = @"userSelected";
SDLRPCParameterName const SDLRPCParameterNameUserSelectedGear = @"userSelectedGear";
SDLRPCParameterName const SDLRPCParameterNameUTCDay = @"utcDay";
SDLRPCParameterName const SDLRPCParameterNameUTCHours = @"utcHours";
SDLRPCParameterName const SDLRPCParameterNameUTCMinutes = @"utcMinutes";
SDLRPCParameterName const SDLRPCParameterNameUTCMonth = @"utcMonth";
SDLRPCParameterName const SDLRPCParameterNameUTCSeconds = @"utcSeconds";
SDLRPCParameterName const SDLRPCParameterNameUTCYear = @"utcYear";
SDLRPCParameterName const SDLRPCParameterNameValue = @"value";
SDLRPCParameterName const SDLRPCParameterNameVDOP = @"vdop";
SDLRPCParameterName const SDLRPCParameterNameVehicleType = @"vehicleType";
SDLRPCParameterName const SDLRPCParameterNameVerticalPosition = @"verticalPosition";
SDLRPCParameterName const SDLRPCParameterNameVerticalPositionAvailable = @"verticalPositionAvailable";
SDLRPCParameterName const SDLRPCParameterNameVideoCodec = @"codec";
SDLRPCParameterName const SDLRPCParameterNameVideoProtocol = @"protocol";
SDLRPCParameterName const SDLRPCParameterNameVideoStreaming = @"videoStreaming";
SDLRPCParameterName const SDLRPCParameterNameVideoStreamingCapability = @"videoStreamingCapability";
SDLRPCParameterName const SDLRPCParameterNameVideoStreamingState = @"videoStreamingState";
SDLRPCParameterName const SDLRPCParameterNameVisibility = @"visibility";
SDLRPCParameterName const SDLRPCParameterNameVentilationMode = @"ventilationMode";
SDLRPCParameterName const SDLRPCParameterNameVentilationModeAvailable = @"ventilationModeAvailable";
SDLRPCParameterName const SDLRPCParameterNameVIN = @"vin";
SDLRPCParameterName const SDLRPCParameterNameVoiceRecognitionOn = @"voiceRecOn";
SDLRPCParameterName const SDLRPCParameterNameVolume = @"volume";
SDLRPCParameterName const SDLRPCParameterNameVolumeAvailable = @"volumeAvailable";
SDLRPCParameterName const SDLRPCParameterNameVRCapabilities = @"vrCapabilities";
SDLRPCParameterName const SDLRPCParameterNameVRCommands = @"vrCommands";
SDLRPCParameterName const SDLRPCParameterNameVRHelp = @"vrHelp";
SDLRPCParameterName const SDLRPCParameterNameVRHelpTitle = @"vrHelpTitle";
SDLRPCParameterName const SDLRPCParameterNameVRSynonyms = @"vrSynonyms";
SDLRPCParameterName const SDLRPCParameterNameWayPoints = @"wayPoints";
SDLRPCParameterName const SDLRPCParameterNameWayPointType = @"wayPointType";
SDLRPCParameterName const SDLRPCParameterNameWeatherForLocationSupported = @"weatherForLocationSupported";
SDLRPCParameterName const SDLRPCParameterNameWeatherIcon = @"weatherIcon";
SDLRPCParameterName const SDLRPCParameterNameWeatherServiceData = @"weatherServiceData";
SDLRPCParameterName const SDLRPCParameterNameWeatherServiceManifest = @"weatherServiceManifest";
SDLRPCParameterName const SDLRPCParameterNameWeatherSummary = @"weatherSummary";
SDLRPCParameterName const SDLRPCParameterNameWidth = @"width";
SDLRPCParameterName const SDLRPCParameterNameWindBearing = @"windBearing";
SDLRPCParameterName const SDLRPCParameterNameWindGust = @"windGust";
SDLRPCParameterName const SDLRPCParameterNameWindSpeed = @"windSpeed";
SDLRPCParameterName const SDLRPCParameterNameWiperStatus = @"wiperStatus";
SDLRPCParameterName const SDLRPCParameterNameWindowCapabilities = @"windowCapabilities";
SDLRPCParameterName const SDLRPCParameterNameWindowId = @"windowID";
SDLRPCParameterName const SDLRPCParameterNameWindowName = @"windowName";
SDLRPCParameterName const SDLRPCParameterNameWindowStatus = @"windowStatus";
SDLRPCParameterName const SDLRPCParameterNameWindowTypeSupported = @"windowTypeSupported";
SDLRPCParameterName const SDLRPCParameterNameX = @"x";
SDLRPCParameterName const SDLRPCParameterNameY = @"y";
SDLRPCParameterName const SDLRPCParameterNameYear = @"year";

NS_ASSUME_NONNULL_END
