//  SDLLanguage.h
//


#import "SDLEnum.h"

/**
 Specifies the language to be used for TTS, VR, displayed messages/menus. Used in ChangeRegistration and RegisterAppInterface.

 @since SDL 1.0
 */
typedef SDLEnum SDLLanguage NS_TYPED_ENUM;

/**
 English_SA
 */
extern SDLLanguage const SDLLanguageEnSa;

/**
 Hebrew_IL
 */
extern SDLLanguage const SDLLanguageHeIl;

/**
 Romainian_RO
 */
extern SDLLanguage const SDLLanguageRoRo;

/**
 Ukrainian_UA
 */
extern SDLLanguage const SDLLanguageUkUa;

/**
 Indonesian_ID
 */
extern SDLLanguage const SDLLanguageIdId;

/**
 Vietnamese_VN
 */
extern SDLLanguage const SDLLanguageViVn;

/**
 Malay_MY
 */
extern SDLLanguage const SDLLanguageMsMy;

/**
 Hindi_IN
 */
extern SDLLanguage const SDLLanguageHiIn;

/**
 Dutch(Flemish)_BE
 */
extern SDLLanguage const SDLLanguageNlBe;

/**
 Greek_GR
 */
extern SDLLanguage const SDLLanguageElGr;

/**
 Hungarian_HU
 */
extern SDLLanguage const SDLLanguageHuHu;

/**
 Finnish_FI
 */
extern SDLLanguage const SDLLanguageFiFi;

/**
 Slovak_SK
 */
extern SDLLanguage const SDLLanguageSkSk;

/**
 English_US
 */
extern SDLLanguage const SDLLanguageEnUs;

/**
 English - India
 */
extern SDLLanguage const SDLLanguageEnIn;

/**
 Thai - Thailand
 */
extern SDLLanguage const SDLLanguageThTh;

/**
 Spanish - Mexico
 */
extern SDLLanguage const SDLLanguageEsMx;

/**
 French - Canada
 */
extern SDLLanguage const SDLLanguageFrCa;

/**
 German - Germany
 */
extern SDLLanguage const SDLLanguageDeDe;

/**
 * Spanish - Spain
 */
extern SDLLanguage const SDLLanguageEsEs;

/**
 English - Great Britain
 */
extern SDLLanguage const SDLLanguageEnGb;

/**
Russian - Russia
 */
extern SDLLanguage const SDLLanguageRuRu;

/**
 Turkish - Turkey
 */
extern SDLLanguage const SDLLanguageTrTr;

/**
 Polish - Poland
 */
extern SDLLanguage const SDLLanguagePlPl;

/**
 French - France
 */
extern SDLLanguage const SDLLanguageFrFr;

/**
 Italian - Italy
 */
extern SDLLanguage const SDLLanguageItIt;

/**
 Swedish - Sweden
 */
extern SDLLanguage const SDLLanguageSvSe;

/**
 Portuguese - Portugal
 */
extern SDLLanguage const SDLLanguagePtPt;

/**
 Dutch (Standard) - Netherlands
 */
extern SDLLanguage const SDLLanguageNlNl;

/**
 English - Australia
 */
extern SDLLanguage const SDLLanguageEnAu;

/**
 Mandarin - China
 */
extern SDLLanguage const SDLLanguageZhCn;

/**
 Mandarin - Taiwan
 */
extern SDLLanguage const SDLLanguageZhTw;

/**
 Japanese - Japan
 */
extern SDLLanguage const SDLLanguageJaJp;

/**
 Arabic - Saudi Arabia
 */
extern SDLLanguage const SDLLanguageArSa;

/**
 Korean - South Korea
 */
extern SDLLanguage const SDLLanguageKoKr;

/**
 Portuguese - Brazil
 */
extern SDLLanguage const SDLLanguagePtBr;

/**
 Czech - Czech Republic
 */
extern SDLLanguage const SDLLanguageCsCz;

/**
 Danish - Denmark
 */
extern SDLLanguage const SDLLanguageDaDk;

/**
 Norwegian - Norway
 */
extern SDLLanguage const SDLLanguageNoNo;
