//  SDLPRNDL.h
//


#import "SDLEnum.h"

/**
 * The selected gear the car is in. Used in retrieving vehicle data.
 *
 * @since SDL 2.0
 */
typedef SDLEnum SDLPRNDL NS_TYPED_ENUM;

/**
 *  Park
 */
extern SDLPRNDL const SDLPRNDLPark;

/**
 *  Reverse gear
 */
extern SDLPRNDL const SDLPRNDLReverse;

/**
 *  No gear
 */
extern SDLPRNDL const SDLPRNDLNeutral;

/**
 *  @abstract: Drive gear
 */
extern SDLPRNDL const SDLPRNDLDrive;

/**
 * Drive Sport mode
 */
extern SDLPRNDL const SDLPRNDLSport;

/**
 * 1st gear hold
 */
extern SDLPRNDL const SDLPRNDLLowGear;

/**
 * First gear
 */
extern SDLPRNDL const SDLPRNDLFirst;

/**
 * Ninth gear
 * @since SDL 7.0
*/
extern SDLPRNDL const SDLPRNDLNinth;

/**
 * Second gear
 */
extern SDLPRNDL const SDLPRNDLSecond;

/**
 * Tenth gear
 * @since SDL 7.0
*/
extern SDLPRNDL const SDLPRNDLTenth;

/**
 * Third gear
 */
extern SDLPRNDL const SDLPRNDLThird;

/**
 * Fourth gear
 */
extern SDLPRNDL const SDLPRNDLFourth;

/**
 * Fifth gear
 */
extern SDLPRNDL const SDLPRNDLFifth;

/**
 * Sixth gear
 */
extern SDLPRNDL const SDLPRNDLSixth;

/**
 * Seventh gear
 */
extern SDLPRNDL const SDLPRNDLSeventh;

/**
 * Eighth gear
 */
extern SDLPRNDL const SDLPRNDLEighth;

/**
 * Unknown
 */
extern SDLPRNDL const SDLPRNDLUnknown;

/**
 * Fault
 */
extern SDLPRNDL const SDLPRNDLFault;
