//
//  SDLStaticIconName.h
//  SmartDeviceLink
//
//  Created by Nicole on 7/23/18.
//  Copyright © 2018 smartdevicelink. All rights reserved.
//

#import "SDLEnum.h"

/**
 * Static icon names
 */
typedef SDLEnum SDLStaticIconName NS_TYPED_ENUM;

/**
 * Static icon accept call / active phone call in progress / initiate a phone call
 */
extern SDLStaticIconName const SDLStaticIconNameAcceptCall;

/**
 * Static icon add waypoint
 */
extern SDLStaticIconName const SDLStaticIconNameAddWaypoint;

/**
 * Static icon album
 */
extern SDLStaticIconName const SDLStaticIconNameAlbum;

/**
 * Static icon ambient lighting
 */
extern SDLStaticIconName const SDLStaticIconNameAmbientLighting;

/**
 * Static icon arrow - north
 */
extern SDLStaticIconName const SDLStaticIconNameArrowNorth;

/**
 * Static icon audio mute
 */
extern SDLStaticIconName const SDLStaticIconNameAudioMute;

/**
 * Static icon audiobook episode
 */
extern SDLStaticIconName const SDLStaticIconNameAudiobookEpisode;

/**
 * Static icon audiobook narrator
 */
extern SDLStaticIconName const SDLStaticIconNameAudiobookNarrator;

/**
 * Static icon auxiliary audio
 */
extern SDLStaticIconName const SDLStaticIconNameAuxillaryAudio __deprecated_msg("Use SDLStaticIconNameAuxiliaryAudio instead");

/**
 * Static icon auxiliary audio
 */
extern SDLStaticIconName const SDLStaticIconNameAuxiliaryAudio;

/**
 * Static icon back / return
 */
extern SDLStaticIconName const SDLStaticIconNameBack;

/**
 * Static icon battery capacity 0 of 5
 */
extern SDLStaticIconName const SDLStaticIconNameBatteryCapacity0Of5;

/**
 * Static icon battery capacity 1 of 5
 */
extern SDLStaticIconName const SDLStaticIconNameBatteryCapacity1Of5;

/**
 * Static icon battery capacity 2 of 5
 */
extern SDLStaticIconName const SDLStaticIconNameBatteryCapacity2Of5;

/**
 * Static icon battery capacity 3 of 5
 */
extern SDLStaticIconName const SDLStaticIconNameBatteryCapacity3Of5;

/**
 * Static icon battery capacity 4 of 5
 */
extern SDLStaticIconName const SDLStaticIconNameBatteryCapacity4Of5;

/**
 * Static icon battery capacity 5 of 5
 */
extern SDLStaticIconName const SDLStaticIconNameBatteryCapacity5Of5;

/**
 * Static icon bluetooth audio source
 */
extern SDLStaticIconName const SDLStaticIconNameBluetoothAudioSource;

/**
 * Static icon bluetooth1
 */
extern SDLStaticIconName const SDLStaticIconNameBluetooth1;

/**
 * Static icon bluetooth2
 */
extern SDLStaticIconName const SDLStaticIconNameBluetooth2;

/**
 * Static icon browse
 */
extern SDLStaticIconName const SDLStaticIconNameBrowse;

/**
 * Static icon cell phone in roaming mode
 */
extern SDLStaticIconName const SDLStaticIconNameCellPhoneInRoamingMode;

/**
 * Static icon cell service signal strength 0 of 5 bars
 */
extern SDLStaticIconName const SDLStaticIconNameCellServiceSignalStrength0Of5Bars;

/**
 * Static icon cell service signal strength 1 of 5 bars
 */
extern SDLStaticIconName const SDLStaticIconNameCellServiceSignalStrength1Of5Bars;

/**
 * Static icon cell service signal strength 2 of 5 bars
 */
extern SDLStaticIconName const SDLStaticIconNameCellServiceSignalStrength2Of5Bars;

/**
 * Static icon cell service signal strength 3 of 5 bars
 */
extern SDLStaticIconName const SDLStaticIconNameCellServiceSignalStrength3Of5Bars;

/**
 * Static icon cell service signal strength 4 of 5 bars
 */
extern SDLStaticIconName const SDLStaticIconNameCellServiceSignalStrength4Of5Bars;

/**
 * Static icon cell service signal strength 5 of 5 bars
 */
extern SDLStaticIconName const SDLStaticIconNameCellServiceSignalStrength5Of5Bars;

/**
 * Static icon change lane left
 */
extern SDLStaticIconName const SDLStaticIconNameChangeLaneLeft;

/**
 * Static icon change lane right
 */
extern SDLStaticIconName const SDLStaticIconNameChangeLaneRight;

/**
 * Static icon check box checked
 */
extern SDLStaticIconName const SDLStaticIconNameCheckBoxChecked;

/**
 * Static icon check box unchecked
 */
extern SDLStaticIconName const SDLStaticIconNameCheckBoxUnchecked;

/**
 * Static icon climate
 */
extern SDLStaticIconName const SDLStaticIconNameClimate;

/**
 * Static icon clock
 */
extern SDLStaticIconName const SDLStaticIconNameClock;

/**
 * Static icon compose (e.g. message)
 */
extern SDLStaticIconName const SDLStaticIconNameCompose;

/**
 * Static icon contact / person
 */
extern SDLStaticIconName const SDLStaticIconNameContact;

/**
 * Static icon continue
 */
extern SDLStaticIconName const SDLStaticIconNameContinue;

/**
 * Static icon dash / bullet point
 */
extern SDLStaticIconName const SDLStaticIconNameDash;

/**
 * Static icon date / calendar
 */
extern SDLStaticIconName const SDLStaticIconNameDate;

/**
 * Static icon delete/remove - trash
 */
extern SDLStaticIconName const SDLStaticIconNameDelete;

/**
 * Static icon destination
 */
extern SDLStaticIconName const SDLStaticIconNameDestination;

/**
 * Static icon destination ferry ahead
 */
extern SDLStaticIconName const SDLStaticIconNameDestinationFerryAhead;

/**
 * Static icon ebookmark (e.g. message, feed)
 */
extern SDLStaticIconName const SDLStaticIconNameEbookmark;

/**
 * Static icon empty (i.e. no image)
 */
extern SDLStaticIconName const SDLStaticIconNameEmpty;

/**
 * Static icon end call / reject call
 */
extern SDLStaticIconName const SDLStaticIconNameEndCall;

/**
 * Static icon fail / X
 */
extern SDLStaticIconName const SDLStaticIconNameFail;

/**
 * Static icon fast forward 30 secs
 */
extern SDLStaticIconName const SDLStaticIconNameFastForward30Secs;

/**
 * Static icon favorite / heart
 */
extern SDLStaticIconName const SDLStaticIconNameFavoriteHeart;

/**
 * Static icon favorite / star
 */
extern SDLStaticIconName const SDLStaticIconNameFavoriteStar;

/**
 * Static icon fax number
 */
extern SDLStaticIconName const SDLStaticIconNameFaxNumber;

/**
 * Static icon filename
 */
extern SDLStaticIconName const SDLStaticIconNameFilename;

/**
 * Static icon filter / search
 */
extern SDLStaticIconName const SDLStaticIconNameFilter;

/**
 * Static icon folder
 */
extern SDLStaticIconName const SDLStaticIconNameFolder;

/**
 * Static icon fuel prices
 */
extern SDLStaticIconName const SDLStaticIconNameFuelPrices;

/**
 * Static icon full map
 */
extern SDLStaticIconName const SDLStaticIconNameFullMap;

/**
 * Static icon generic phone number
 */
extern SDLStaticIconName const SDLStaticIconNameGenericPhoneNumber;

/**
 * Static icon genre
 */
extern SDLStaticIconName const SDLStaticIconNameGenre;

/**
 * Static icon global keyboard
 */
extern SDLStaticIconName const SDLStaticIconNameGlobalKeyboard;

/**
 * Static icon highway exit information
 */
extern SDLStaticIconName const SDLStaticIconNameHighwayExitInformation;

/**
 * Static icon home phone number
 */
extern SDLStaticIconName const SDLStaticIconNameHomePhoneNumber;

/**
 * Static icon hyperlink
 */
extern SDLStaticIconName const SDLStaticIconNameHyperlink;

/**
 * Static icon ID3 tag unknown
 */
extern SDLStaticIconName const SDLStaticIconNameID3TagUnknown;

/**
 * Static icon incoming calls (in list of phone calls)
 */
extern SDLStaticIconName const SDLStaticIconNameIncomingCalls;

/**
 * Static icon information
 */
extern SDLStaticIconName const SDLStaticIconNameInformation;

/**
 * Static icon IPOD media source
 */
extern SDLStaticIconName const SDLStaticIconNameIPodMediaSource;

/**
 * Static icon join calls
 */
extern SDLStaticIconName const SDLStaticIconNameJoinCalls;

/**
 * Static icon keep left
 */
extern SDLStaticIconName const SDLStaticIconNameKeepLeft;

/**
 * Static icon keep right
 */
extern SDLStaticIconName const SDLStaticIconNameKeepRight;

/**
 * Static icon key / keycode
 */
extern SDLStaticIconName const SDLStaticIconNameKey;

/**
 * Static icon left
 */
extern SDLStaticIconName const SDLStaticIconNameLeft;

/**
 * Static icon left arrow / back
 */
extern SDLStaticIconName const SDLStaticIconNameLeftArrow;

/**
 * Static icon left exit
 */
extern SDLStaticIconName const SDLStaticIconNameLeftExit;

/**
 * Static icon LINE IN audio source
 */
extern SDLStaticIconName const SDLStaticIconNameLineInAudioSource;

/**
 * Static icon locked
 */
extern SDLStaticIconName const SDLStaticIconNameLocked;

/**
 * Static icon media control - left arrow
 */
extern SDLStaticIconName const SDLStaticIconNameMediaControlLeftArrow;

/**
 * Static icon media control - recording
 */
extern SDLStaticIconName const SDLStaticIconNameMediaControlRecording;

/**
 * Static icon media control - right arrow
 */
extern SDLStaticIconName const SDLStaticIconNameMediaControlRightArrow;

/**
 * Static icon media control - stop (e.g. streaming)
 */
extern SDLStaticIconName const SDLStaticIconNameMediaControlStop;

/**
 * Static icon microphone
 */
extern SDLStaticIconName const SDLStaticIconNameMicrophone;

/**
 * Static icon missed calls (in list of phone calls)
 */
extern SDLStaticIconName const SDLStaticIconNameMissedCalls;

/**
 * Static icon mobile phone number
 */
extern SDLStaticIconName const SDLStaticIconNameMobilePhoneNumber;

/**
 * Static icon move down / download
 */
extern SDLStaticIconName const SDLStaticIconNameMoveDown;

/**
 * Static icon move up
 */
extern SDLStaticIconName const SDLStaticIconNameMoveUp;

/**
 * Static icon MP3 tag artist
 */
extern SDLStaticIconName const SDLStaticIconNameMP3TagArtist;

/**
 * Static icon navigation / navigation settings
 */
extern SDLStaticIconName const SDLStaticIconNameNavigation;

/**
 * Static icon navigation current direction
 */
extern SDLStaticIconName const SDLStaticIconNameNavigationCurrentDirection;

/**
 * Static icon negative rating - thumbs down
 */
extern SDLStaticIconName const SDLStaticIconNameNegativeRatingThumbsDown;

/**
 * Static icon new/unread text message/email
 */
extern SDLStaticIconName const SDLStaticIconNameNew;

/**
 * Static icon office phone number / work phone number
 */
extern SDLStaticIconName const SDLStaticIconNameOfficePhoneNumber;

/**
 * Static icon opened/read text message/email
 */
extern SDLStaticIconName const SDLStaticIconNameOpened;

/**
 * Static icon origin / nearby locale / current position
 */
extern SDLStaticIconName const SDLStaticIconNameOrigin;

/**
 * Static icon outgoing calls (in list of phone calls)
 */
extern SDLStaticIconName const SDLStaticIconNameOutgoingCalls;

/**
 * Static icon play / pause - pause active
 */
extern SDLStaticIconName const SDLStaticIconNamePause;

/**
 * Static icon phone call 1
 */
extern SDLStaticIconName const SDLStaticIconNamePhoneCall1;

/**
 * Static icon phone call 2
 */
extern SDLStaticIconName const SDLStaticIconNamePhoneCall2;

/**
 * Static icon phone device
 */
extern SDLStaticIconName const SDLStaticIconNamePhoneDevice;

/**
 * Static icon phonebook
 */
extern SDLStaticIconName const SDLStaticIconNamePhonebook;

/**
 * Static icon photo / picture
 */
extern SDLStaticIconName const SDLStaticIconNamePhoto;

/**
 * Static icon play / pause - play active
 */
extern SDLStaticIconName const SDLStaticIconNamePlay;

/**
 * Static icon playlist
 */
extern SDLStaticIconName const SDLStaticIconNamePlaylist;

/**
 * Static icon pop-up
 */
extern SDLStaticIconName const SDLStaticIconNamePopUp;

/**
 * Static icon positive rating - thumbs up
 */
extern SDLStaticIconName const SDLStaticIconNamePositiveRatingThumbsUp;

/**
 * Static icon power
 */
extern SDLStaticIconName const SDLStaticIconNamePower;

/**
 * Static icon primary phone (favorite)
 */
extern SDLStaticIconName const SDLStaticIconNamePrimaryPhone;

/**
 * Static icon radio button checked
 */
extern SDLStaticIconName const SDLStaticIconNameRadioButtonChecked;

/**
 * Static icon radio button unchecked
 */
extern SDLStaticIconName const SDLStaticIconNameRadioButtonUnchecked;

/**
 * Static icon recent calls / history
 */
extern SDLStaticIconName const SDLStaticIconNameRecentCalls;

/**
 * Static icon recent destinations
 */
extern SDLStaticIconName const SDLStaticIconNameRecentDestinations;

/**
 * Static icon redo
 */
extern SDLStaticIconName const SDLStaticIconNameRedo;

/**
 * Static icon refresh
 */
extern SDLStaticIconName const SDLStaticIconNameRefresh;

/**
 * Static icon remote diagnostics - check engine
 */
extern SDLStaticIconName const SDLStaticIconNameRemoteDiagnosticsCheckEngine;

/**
 * Static icon rendered 911 assist / emergency assistance
 */
extern SDLStaticIconName const SDLStaticIconNameRendered911Assist;

/**
 * Static icon repeat
 */
extern SDLStaticIconName const SDLStaticIconNameRepeat;

/**
 * Static icon repeat play
 */
extern SDLStaticIconName const SDLStaticIconNameRepeatPlay;

/**
 * Static icon reply
 */
extern SDLStaticIconName const SDLStaticIconNameReply;

/**
 * Static icon rewind 30 secs
 */
extern SDLStaticIconName const SDLStaticIconNameRewind30Secs;

/**
 * Static icon right
 */
extern SDLStaticIconName const SDLStaticIconNameRight;

/**
 * Static icon right exit
 */
extern SDLStaticIconName const SDLStaticIconNameRightExit;

/**
 * Static icon ringtones
 */
extern SDLStaticIconName const SDLStaticIconNameRingtones;

/**
 * Static icon roundabout left hand 1
 */
extern SDLStaticIconName const SDLStaticIconNameRoundaboutLeftHand1;

/**
 * Static icon roundabout left hand 2
 */
extern SDLStaticIconName const SDLStaticIconNameRoundaboutLeftHand2;

/**
 * Static icon roundabout left hand 3
 */
extern SDLStaticIconName const SDLStaticIconNameRoundaboutLeftHand3;

/**
 * Static icon roundabout left hand 4
 */
extern SDLStaticIconName const SDLStaticIconNameRoundaboutLeftHand4;

/**
 * Static icon roundabout left hand 5
 */
extern SDLStaticIconName const SDLStaticIconNameRoundaboutLeftHand5;

/**
 * Static icon roundabout left hand 6
 */
extern SDLStaticIconName const SDLStaticIconNameRoundaboutLeftHand6;

/**
 * Static icon roundabout left hand 7
 */
extern SDLStaticIconName const SDLStaticIconNameRoundaboutLeftHand7;

/**
 * Static icon roundabout right hand 1
 */
extern SDLStaticIconName const SDLStaticIconNameRoundaboutRightHand1;

/**
 * Static icon roundabout right hand 2
 */
extern SDLStaticIconName const SDLStaticIconNameRoundaboutRightHand2;

/**
 * Static icon roundabout right hand 3
 */
extern SDLStaticIconName const SDLStaticIconNameRoundaboutRightHand3;

/**
 * Static icon roundabout right hand 4
 */
extern SDLStaticIconName const SDLStaticIconNameRoundaboutRightHand4;

/**
 * Static icon roundabout right hand 5
 */
extern SDLStaticIconName const SDLStaticIconNameRoundaboutRightHand5;

/**
 * Static icon roundabout right hand 6
 */
extern SDLStaticIconName const SDLStaticIconNameRoundaboutRightHand6;

/**
 * Static icon roundabout right hand 7
 */
extern SDLStaticIconName const SDLStaticIconNameRoundaboutRightHand7;

/**
 * Static icon RSS
 */
extern SDLStaticIconName const SDLStaticIconNameRSS;

/**
 * Static icon settings / menu
 */
extern SDLStaticIconName const SDLStaticIconNameSettings;

/**
 * Static icon sharp left
 */
extern SDLStaticIconName const SDLStaticIconNameSharpLeft;

/**
 * Static icon sharp right
 */
extern SDLStaticIconName const SDLStaticIconNameSharpRight;

/**
 * Static icon show
 */
extern SDLStaticIconName const SDLStaticIconNameShow;

/**
 * Static icon shuffle play
 */
extern SDLStaticIconName const SDLStaticIconNameShufflePlay;

/**
 * Static icon ski places / elevation / altitude
 */
extern SDLStaticIconName const SDLStaticIconNameSkiPlaces;

/**
 * Static icon slight left
 */
extern SDLStaticIconName const SDLStaticIconNameSlightLeft;

/**
 * Static icon slight right
 */
extern SDLStaticIconName const SDLStaticIconNameSlightRight;

/**
 * Static icon smartphone
 */
extern SDLStaticIconName const SDLStaticIconNameSmartphone;

/**
 * Static icon sort list
 */
extern SDLStaticIconName const SDLStaticIconNameSortList;

/**
 * Static icon speed dial numbers - number 0
 */
extern SDLStaticIconName const SDLStaticIconNameSpeedDialNumbersNumber0;

/**
 * Static icon speed dial numbers - number 1
 */
extern SDLStaticIconName const SDLStaticIconNameSpeedDialNumbersNumber1;

/**
 * Static icon speed dial numbers - number 2
 */
extern SDLStaticIconName const SDLStaticIconNameSpeedDialNumbersNumber2;

/**
 * Static icon speed dial numbers - number 3
 */
extern SDLStaticIconName const SDLStaticIconNameSpeedDialNumbersNumber3;

/**
 * Static icon speed dial numbers - number 4
 */
extern SDLStaticIconName const SDLStaticIconNameSpeedDialNumbersNumber4;

/**
 * Static icon speed dial numbers - number 5
 */
extern SDLStaticIconName const SDLStaticIconNameSpeedDialNumbersNumber5;

/**
 * Static icon speed dial numbers - number 6
 */
extern SDLStaticIconName const SDLStaticIconNameSpeedDialNumbersNumber6;

/**
 * Static icon speed dial numbers - number 7
 */
extern SDLStaticIconName const SDLStaticIconNameSpeedDialNumbersNumber7;

/**
 * Static icon speed dial numbers - number 8
 */
extern SDLStaticIconName const SDLStaticIconNameSpeedDialNumbersNumber8;

/**
 * Static icon speed dial numbers - number 9
 */
extern SDLStaticIconName const SDLStaticIconNameSpeedDialNumbersNumber9;

/**
 * Static icon success / check
 */
extern SDLStaticIconName const SDLStaticIconNameSuccess;

/**
 * Static icon track title / song title
 */
extern SDLStaticIconName const SDLStaticIconNameTrackTitle;

/**
 * Static icon traffic report
 */
extern SDLStaticIconName const SDLStaticIconNameTrafficReport;

/**
 * Static icon turn list
 */
extern SDLStaticIconName const SDLStaticIconNameTurnList;

/**
 * Static icon u-turn left traffic
 */
extern SDLStaticIconName const SDLStaticIconNameUTurnLeftTraffic;

/**
 * Static icon u-turn right traffic
 */
extern SDLStaticIconName const SDLStaticIconNameUTurnRightTraffic;

/**
 * Static icon undo
 */
extern SDLStaticIconName const SDLStaticIconNameUndo;

/**
 * Static icon unlocked
 */
extern SDLStaticIconName const SDLStaticIconNameUnlocked;

/**
 * Static icon USB media audio source
 */
extern SDLStaticIconName const SDLStaticIconNameUSBMediaAudioSource;

/**
 * Static icon voice control scrollbar - list item no. 1
 */
extern SDLStaticIconName const SDLStaticIconNameVoiceControlScrollbarListItemNo1;

/**
 * Static icon voice control scrollbar - list item no. 2
 */
extern SDLStaticIconName const SDLStaticIconNameVoiceControlScrollbarListItemNo2;

/**
 * Static icon voice control scrollbar - list item no. 3
 */
extern SDLStaticIconName const SDLStaticIconNameVoiceControlScrollbarListItemNo3;

/**
 * Static icon voice control scrollbar - list item no. 4
 */
extern SDLStaticIconName const SDLStaticIconNameVoiceControlScrollbarListItemNo4;

/**
 * Static icon voice recognition - failed
 */
extern SDLStaticIconName const SDLStaticIconNameVoiceRecognitionFailed;

/**
 * Static icon voice recognition - pause
 */
extern SDLStaticIconName const SDLStaticIconNameVoiceRecognitionPause;

/**
 * Static icon voice recognition - successful
 */
extern SDLStaticIconName const SDLStaticIconNameVoiceRecognitionSuccessful;

/**
 * Static icon voice recognition - system active
 */
extern SDLStaticIconName const SDLStaticIconNameVoiceRecognitionSystemActive;

/**
 * Static icon voice recognition - system listening
 */
extern SDLStaticIconName const SDLStaticIconNameVoiceRecognitionSystemListening;

/**
 * Static icon voice recognition - try again
 */
extern SDLStaticIconName const SDLStaticIconNameVoiceRecognitionTryAgain;

/**
 * Static icon warning / safety alert
 */
extern SDLStaticIconName const SDLStaticIconNameWarning;

/**
 * Static icon weather
 */
extern SDLStaticIconName const SDLStaticIconNameWeather;

/**
 * Static icon wifi full
 */
extern SDLStaticIconName const SDLStaticIconNameWifiFull;

/**
 * Static icon zoom in
 */
extern SDLStaticIconName const SDLStaticIconNameZoomIn;

/**
 * Static icon zoom out
 */
extern SDLStaticIconName const SDLStaticIconNameZoomOut;

